<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>%Karm API Overview</title>
    <filename>index</filename>
    <docanchor file="index">map</docanchor>
    <docanchor file="index">intro</docanchor>
  </compound>
  <compound kind="page">
    <name>sig_slot_index</name>
    <title>Index of Signals and Slots</title>
    <filename>sig_slot_index</filename>
    <docanchor file="sig_slot_index">overview</docanchor>
    <docanchor file="sig_slot_index">private</docanchor>
    <docanchor file="sig_slot_index">protected</docanchor>
    <docanchor file="sig_slot_index">public</docanchor>
    <docanchor file="sig_slot_index">signals</docanchor>
    <docanchor file="sig_slot_index">slots</docanchor>
  </compound>
  <compound kind="page">
    <name>connections</name>
    <title>Index of the signal/slot connections</title>
    <filename>connections</filename>
  </compound>
  <compound kind="class">
    <name>CSVExportDialog</name>
    <filename>classCSVExportDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>CSVExportDialog</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>f1f67e89a50a132c8e9e33b39172e36c</anchor>
      <arglist>(ReportCriteria::REPORTTYPE rt, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>enableTasksToExportQuestion</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>cd7595fe4c0638ef3c52846a48725723</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ReportCriteria</type>
      <name>reportCriteria</name>
      <anchorfile>classCSVExportDialog.html</anchorfile>
      <anchor>d505f252c052f13a3ba3fd2bd623b6eb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DesktopTracker</name>
    <filename>classDesktopTracker.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>handleDesktopChange</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>48d7a57c36b7a49fa53126c929b5f640</anchor>
      <arglist>(int desktop)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>reachedtActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>85f3dc7c46e3b74e1861855c71708705</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>leftActiveDesktop</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>b24c5bbcd9a133e77fab5b92ca91df1c</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DesktopTracker</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>162020ebc0318abdf981876a444e0b64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTrackers</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>2cb61da51e6b02ca04d57036cec309ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTracking</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>fb2c5140ed8f2d6b61b8211c47d92d99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerForDesktops</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>15cff81dffc4e74ad7d64b3580555eb2</anchor>
      <arglist>(Task *task, DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>desktopCount</name>
      <anchorfile>classDesktopTracker.html</anchorfile>
      <anchor>516d842616f9dc1a4a6befe7981769b8</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>EditTaskDialog</name>
    <filename>classEditTaskDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>EditTaskDialog</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>5f49048e7e934c1ea55ae7cdc6482716</anchor>
      <arglist>(QString caption, bool editDlg, DesktopList *desktopList=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTask</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>6ddbf9ab912da18a8df9fafbeb088c8c</anchor>
      <arglist>(const QString &amp;name, long time, long sessionTime)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskName</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>b0412416d67b2e246424f0cee15f9059</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>status</name>
      <anchorfile>classEditTaskDialog.html</anchorfile>
      <anchor>5d9221dad0e501395539c53c2d5854f7</anchor>
      <arglist>(long *time, long *timeDiff, long *session, long *sessionDiff, DesktopList *desktopList) const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HistoryEvent</name>
    <filename>classHistoryEvent.html</filename>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>fa734999d58167cb83f46b7a5fa00c2c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryEvent</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>708847b4264915fbc378d714649f8a3a</anchor>
      <arglist>(QString uid, QString name, long duration, QDateTime start, QDateTime stop, QString todoUid)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>0811419ab910211af9a322c5b5881d41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>d7ecf899eccb304cef2552f5adddd3ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>duration</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>b3899100a810314296d20ef91f61c6a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>start</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>0b7e7e35a281d97eba554baa9a9a654e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>stop</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>8210c08461e270075f1c6fdc0e38ff18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>todoUid</name>
      <anchorfile>classHistoryEvent.html</anchorfile>
      <anchor>43bdeb611cc024c0574e2f6abcd6c809</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>IdleTimeDetector</name>
    <filename>classIdleTimeDetector.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setMaxIdle</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>f40db7f16c6cae2011741a6bd4d65a09</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>a18f74d3cee05424b88e31d3d039c1ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>132bfcf49ab86a0621cca6ca9c0b2879</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleOverAllIdleDetection</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>f6aceaa387e74e6420852ad9eed184bf</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>ae1822649015c34fa6c602fe09c784ff</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>14011ff5c3ae89853a3803616d205319</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>68647f070a698a6d385a9516d2772dab</anchor>
      <arglist>(QDateTime qdt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdleTimeDetector</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>f44525d270c64e8bd20045dc84648ba2</anchor>
      <arglist>(int maxIdle)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isIdleDetectionPossible</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>67c423e902b0c7f5839d3a8c5c87db04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classIdleTimeDetector.html</anchorfile>
      <anchor>f421a43be11f629d0ad4d95b45536153</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAccelMenuWatch</name>
    <filename>classKAccelMenuWatch.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateMenus</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>51f0db723239647aaa2856c3941fb5fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>13caa04f4aba9868507912310bd58ab4</anchor>
      <arglist>(KAccel *accel, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KAccelMenuWatch</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>1ba34b9851e578f6c155f468b90568e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>d067afc5ab5c843f63c9e4ee817b9066</anchor>
      <arglist>(QPopupMenu *menu)</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>currentMenu</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>97d3b899b17283b3655235605d512119</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>a5f1bab9b562e816a5d72497b9b6e55c</anchor>
      <arglist>(int itemId, const char *action)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectAccel</name>
      <anchorfile>classKAccelMenuWatch.html</anchorfile>
      <anchor>80906337c0add0e21b58f01d7b4518ce</anchor>
      <arglist>(int itemId, KStdAccel::StdAccel)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmDCOPIface</name>
    <filename>classKarmDCOPIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>version</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>726214823807c8ab970ab9e4859191aa</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>36db73cf0e2bf27b391cbd4d8bf96027</anchor>
      <arglist>(const QString &amp;taskName) const =0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>addTask</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>a194e5300a43713d728f4401198be27c</anchor>
      <arglist>(const QString &amp;taskName)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>cf1b4d8c86b80811c7bb8e01a6140983</anchor>
      <arglist>(const QString &amp;taskName, int perCent)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>bookTime</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>16cc00e941c2aabfdd3d7369bd8d5642</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>getError</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>9da0124a621183737711756ace5e5f44</anchor>
      <arglist>(int karmErrorNumber) const=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>0c8098c71b6b06d94cdf4242b32a679c</anchor>
      <arglist>(const QString &amp;taskId)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>starttimerfor</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>5284681e0024207a35f57826517c1aa9</anchor>
      <arglist>(const QString &amp;taskname)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>fbecf7e16541a4917f363fbe64e74e6c</anchor>
      <arglist>(const QString &amp;taskname)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>deletetodo</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>0546f3b46c87418aac48b2931c355d4b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>8971bbcb7c533fec108a1fae64741dd8</anchor>
      <arglist>(bool prompt)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>ece5cd7a330bf9aef3ef94e064004e0e</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>6bf16caa4c7190ba93e48254fb9dd46a</anchor>
      <arglist>(QString filename, QString from, QString to, int type=0, bool decimalMinutes=true, bool allTasks=true, QString delimiter=&quot;;&quot;, QString quote=&quot;&apos;&quot;)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>importplannerfile</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>63425294d17f6b2efa2e76a850f0867c</anchor>
      <arglist>(QString filename)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>6c6b2d77239b6bcb6bf2c994307a4d0f</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>quit</name>
      <anchorfile>classKarmDCOPIface.html</anchorfile>
      <anchor>3a8978f89284475838d360072bb9259f</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>karmPart</name>
    <filename>classkarmPart.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="function">
      <type></type>
      <name>karmPart</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>ba505272b361706cf024fbb648364f7e</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>df710416387d44fcd753a10555cf28de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>dbd42de091e56c599d252755dac5b77d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>c7e04a0fdc22d5f5cdd40fa1316a3724</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>ba65a4103be3ba20f60673d3de0c7a53</anchor>
      <arglist>(const QString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>2597f58a0fb4f2ae5a05fa5f2721c27d</anchor>
      <arglist>(const QString &amp;taskName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>19be50de694769c5791c08c3c38f1716</anchor>
      <arglist>(const QString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>2cde7ee32c960f673fe0741649d57be8</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getError</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>99f539a6dd3294a2b69cb99201890683</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>938af300fe3b124c7238cbeab7f76b4b</anchor>
      <arglist>(const QString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>starttimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>b3230f7be4854fa1b360100ea749e487</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>1e178a2a6f62040f2e607d18543c2fbf</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>deletetodo</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>114e6169ab126c17e89176f4b3767011</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>46369673dd132f4989f49c327c5f331a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>dc67e776570e5a9b0f6b3049dbb6e0d1</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>4f318b34d2c9fb5e49eda6587c82e688</anchor>
      <arglist>(QString filename, QString from, QString to, int type=0, bool decimalMinutes=true, bool allTasks=true, QString delimiter=&quot;r&quot;, QString quote=&quot;q&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>importplannerfile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>bdfb1cf284561afc061168ed96dcc7ca</anchor>
      <arglist>(QString filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~karmPart</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>7830b2ff2aa90f9f9c52928c26165288</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>8d56f3a39cfa65df2aca28c920764044</anchor>
      <arglist>(bool rw)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>94f08eb98e8e99ea6c4a94db3de17b62</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>37ae3c20dc82ef8ed548b26d224c9fe6</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;point, int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fileOpen</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>29d8847173f78c2407650252f2ff4112</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fileSaveAs</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>0db5deef247d8bcd3b028a8189da0313</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>5f8081cf786b87b59e2f28868922abe6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>7dc3372ee10e75d2c2e3835b0f70fc32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>fba62e0d79ccf07b636cfa2cae4f5ab5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>3032126247e52673c79432fb3ca1fe72</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchorfile>classkarmPart.html</anchorfile>
      <anchor>d8fff2beb468167a029838173f31d80e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>karmPartFactory</name>
    <filename>classkarmPartFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>karmPartFactory</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>3e9198e0c2c32d7d8796dfaf9cb95c71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~karmPartFactory</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>ac79a4ee34a8b4ea9a0376956aa2018e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>3c51aae3728ef5a85f70094d50906521</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *classname, const QStringList &amp;args)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KInstance *</type>
      <name>instance</name>
      <anchorfile>classkarmPartFactory.html</anchorfile>
      <anchor>6dc9708ba5036d09c43a903517f8872d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmStorage</name>
    <filename>classKarmStorage.html</filename>
    <member kind="function">
      <type>QString</type>
      <name>load</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>1b00461797a78503e976824d2417944b</anchor>
      <arglist>(TaskView *taskview, const Preferences *preferences, QString fileName=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icalfile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>0cff250f9815919b001b1e1b16cdeab3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buildTaskView</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>7c1f6a35510dabcf98802e2d99cd08ab</anchor>
      <arglist>(KCal::ResourceCalendar *rc, TaskView *view)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>0354bb910920e3c11793e4b301116d74</anchor>
      <arglist>(TaskView *view)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a9cac86a5992d572bafa1a323fca920d</anchor>
      <arglist>(TaskView *taskview)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>8370c604c3f7a99973b55f097299eda4</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>loadFromFlatFileCumulative</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>8387ab9ba90e5877dcc3ba226e9f2504</anchor>
      <arglist>(TaskView *taskview, const QString &amp;filename)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>report</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>7332535ca849d69972521b8b323cd8b4</anchor>
      <arglist>(TaskView *taskview, const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>6f890e7ddd7f6c9431511d982e74b6f7</anchor>
      <arglist>(const Task *task, const long deltaSeconds)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>bookTime</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>5927f8a9848e91c91ad6253d8cf477f5</anchor>
      <arglist>(const Task *task, const QDateTime &amp;startDateTime, long durationInSeconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>dafd764e0e138c5dd95f588bd79cc259</anchor>
      <arglist>(const Task *task, const QString &amp;oldname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>3a1ee9adc3a478fce9a587568b32bde6</anchor>
      <arglist>(const Task *task)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopTimer</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>a1431c2bc081f33229104d6cf3457ffe</anchor>
      <arglist>(const Task *task, QDateTime when=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>c01eb6aa504e96decf64910b81430e27</anchor>
      <arglist>(const Task *task, const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>72927279c985c0ab2c3ad66021bd4e9a</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>9ec101be48e4f29fc505700d410ca3b1</anchor>
      <arglist>(const Task *task, const Task *parent)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>fb8ee35aa5784cd514634e7eaa34d0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNewStorage</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>3f5e8f999f0fcb7e67930978368d0310</anchor>
      <arglist>(const Preferences *preferences) const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>4d380b10f9982c4913bb21460e255ec7</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KarmStorage *</type>
      <name>instance</name>
      <anchorfile>classKarmStorage.html</anchorfile>
      <anchor>73dd1575d0c9bb0963e62ab3f26cde5a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArmTimeWidget</name>
    <filename>classKArmTimeWidget.html</filename>
    <member kind="function">
      <type></type>
      <name>KArmTimeWidget</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>49a8874296e826d33ae57193a44784bb</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>f8eac1993c4ec8bdbd5cc45979108fd1</anchor>
      <arglist>(int hour, int minute)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchorfile>classKArmTimeWidget.html</anchorfile>
      <anchor>b9be82ca19a955605042940972eb59f1</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmTray</name>
    <filename>classKarmTray.html</filename>
    <base>KSystemTray</base>
    <member kind="slot">
      <type>void</type>
      <name>startClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>bcda486be28cb38859ef71324ad86dae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>96c491ddb7a02484da771c30d2f497bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resetClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>b6c115da054a36bd33cc326a476ab25c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateToolTip</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>5448e7a17a448b2a2ec812a6e977a34a</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>initToolTip</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>e82913264bec0b229811142e9891cdce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>7cae4cf55e475e10103460e222dcd959</anchor>
      <arglist>(MainWindow *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>ea94a430b73cb95d9e93ed1b5ec46dd9</anchor>
      <arglist>(karmPart *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KarmTray</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>b5f59a08ad7390476f19c331a4a687a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>advanceClock</name>
      <anchorfile>classKarmTray.html</anchorfile>
      <anchor>edfcc9c05fd2f111cfc33dc5c7657565</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MainWindow</name>
    <filename>classMainWindow.html</filename>
    <base virtualness="virtual">KarmDCOPIface</base>
    <member kind="slot">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ac7789413aa27cf48ba3f73d66bf6fd1</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>quit</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>609e3fbeb62ead210bc79ccaaf942a62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>164d3037b34554bf558f57d2be5ed38a</anchor>
      <arglist>(const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>22b8291e6cbf0b4668a3137f03688d06</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>taskIdFromName</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>36809e8382ad2f53a5859badace9adb6</anchor>
      <arglist>(const QString &amp;taskName) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addTask</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>bf6d33222b896f9a58b466333f9ce0aa</anchor>
      <arglist>(const QString &amp;storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPerCentComplete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d87ec123d80b10667cc49a551e15a879</anchor>
      <arglist>(const QString &amp;taskName, int PerCent)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>bookTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d908f7bbd97e57185eb05d2bec66dbd6</anchor>
      <arglist>(const QString &amp;taskId, const QString &amp;iso8601StartDateTime, long durationInMinutes)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getError</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>4f0185b70c8bb097923960aba8ee8ca9</anchor>
      <arglist>(int karmErrorNumber) const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>totalMinutesForTaskId</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>048b68280b30ba89b96c165a6b9b53c0</anchor>
      <arglist>(const QString &amp;taskId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>starttimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>e281be1e2dd10893caa701b6fce8270e</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stoptimerfor</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>5b0909e9fddd77cf2ab0b29d2ba2514f</anchor>
      <arglist>(const QString &amp;taskname)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>deletetodo</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>c8f40f6d15ae0ae1efd6098c3f252d05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>getpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>eedd42fd199b6c20443e92e9ac0a1b99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setpromptdelete</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>1f4c854757b5f092b9ba388482b1a7ad</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>exportcsvfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>b87c68d27378ccad1aed0506c4720b0a</anchor>
      <arglist>(QString filename, QString from, QString to, int type, bool decimalMinutes, bool allTasks, QString delimiter, QString quote)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>importplannerfile</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ffe32625ac4e7f3009eebe5a4c809bdc</anchor>
      <arglist>(QString filename)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>keyBindings</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>c5cd4005180a805aa4dc8923c9fd019b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a2a0205aa9f5b8f7b4d72fba49ce0542</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>resetAllTimes</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>37116a86028b85e739967c9a7d1d811a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTime</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>a45996fd0289e30f7479e3eed789e797</anchor>
      <arglist>(long, long)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>36fbb7fcd3e961418309aaec64f12185</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>459f642c12969950b5b195ff6f8d4fc9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>exportcsvHistory</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>04b24cf0ad6c3d3ff3ab38901732b688</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ace37ef6dd64a6d0aea5689b2b1462db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>bfba99282a679a63b6afd427d1dccc43</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>contextMenuRequest</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>f306360693a920b8aafd43d2d67e890a</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>enableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>ddede9a80e7602c3ad181bf68801d511</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>disableStopAll</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>70965e7f3ca4c2944879c23deb3f3fe5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>startStatusBar</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>50408653fad8ad033c59952d972fb1d9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>87aa2d998c50d6eed56ee1f7376072be</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>2caee2e15bc67742e11ae98851cd9db2</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>10e58d971adeda38add2dcb11955672c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadGeometry</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>40edd51679f88e48ef9b8975438b2e3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>e9fb09252f9a6d190d7d6c52a3b9f6cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KarmTray</name>
      <anchorfile>classMainWindow.html</anchorfile>
      <anchor>d8fff2beb468167a029838173f31d80e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyPrinter</name>
    <filename>classMyPrinter.html</filename>
    <member kind="function">
      <type></type>
      <name>MyPrinter</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>7ef438fb8df528d551232ee62fe405a4</anchor>
      <arglist>(const TaskView *taskView)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>be4d7405eaab5131be26d98449fb607c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printLine</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>48810225dec83ab44e448821f3502dc1</anchor>
      <arglist>(QString total, QString session, QString name, QPainter &amp;, int)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printTask</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>6a3fbaae870755736fdc17b136d7a225</anchor>
      <arglist>(Task *task, QPainter &amp;, int level)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>calculateReqNameWidth</name>
      <anchorfile>classMyPrinter.html</anchorfile>
      <anchor>3efc9bb604b883f97ebcd426784e6506</anchor>
      <arglist>(Task *task, QFontMetrics &amp;metrics, int level)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PlannerParser</name>
    <filename>classPlannerParser.html</filename>
    <member kind="function">
      <type></type>
      <name>PlannerParser</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>90ea84cecab6c17da697e8bc9714dad6</anchor>
      <arglist>(TaskView *tv)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startDocument</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>397414435c96dbc6302617947b639fcb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>startElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>6912e3865f5f6d5cfaeabe844ffafacb</anchor>
      <arglist>(const QString &amp;, const QString &amp;, const QString &amp;qName, const QXmlAttributes &amp;att)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>endElement</name>
      <anchorfile>classPlannerParser.html</anchorfile>
      <anchor>52dbf526fd2325a724d7c585f8f1f5a5</anchor>
      <arglist>(const QString &amp;, const QString &amp;, const QString &amp;qName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Preferences</name>
    <filename>classPreferences.html</filename>
    <base>KDialogBase</base>
    <member kind="slot">
      <type>void</type>
      <name>showDialog</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>90328d2ae251386210fb425b6ce92ad3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>load</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>48e5f2f72c7dc1351d1dbe125306ba8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>abcc8e623c5bed7bd84afb7488ed73ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>d0714d66aae46dccc8d06895f9986a0e</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3cdfe631d45a5c38e6c18b76b0d8a730</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>9ade989c7f5de5c6a2e4e3ef48058411</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3d541183ab5b4eef0fd271a8b37ae92b</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>f9ed76e7ba818efe2fae40b668145aef</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setupChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>682ec0184e718c12937290bbee082d3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disableIdleDetection</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>8902027e4d8994213607c49b2afc9d19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detectIdleness</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>68b49b50da50594f702048ff6ea37bf7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>idlenessTimeout</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>934c8c5bdc1add0fcacbdebb25785673</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>iCalFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>ec84645852a9b2741b17c96983d049e1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>activeCalendarFile</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>ead3104418f6fae69eb796d054f1aa58</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoSave</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>019d61d8fec42ed794d95ea4638c5e50</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>logging</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>c4dcce90762bbc6d0c5abc56390b3cd4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>autoSavePeriod</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>424071f129e5e1dd6b4eb54926274d96</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>promptDelete</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>9ddbfaf9be7ed825b713ded335fae35b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>setPromptDelete</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>3880aeb3540a25abf66437bc9420ef87</anchor>
      <arglist>(bool prompt)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>displayColumn</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>5ab3ff975f44e5e51961dbd867a5bc94</anchor>
      <arglist>(int n) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>userRealName</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>94ce2858630ed0aa5ad9165842b9b4eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignals</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>223e49d12f29acaf6e9e6bfa2a2ae679</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>readBoolEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>a8cf948de44c1e4f050a3dae65a561d0</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>1dea213398d2c689ab637cfb7c8e8773</anchor>
      <arglist>(const QString &amp;key, bool value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteEntry</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>68a8b8cd1d0ee947a912887199b5f4f1</anchor>
      <arglist>(const QString &amp;key)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Preferences *</type>
      <name>instance</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>9f97f463a9f753c28963faeb7bb970e9</anchor>
      <arglist>(const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>bf32ad9e8daee76c1124e5c739528245</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>b9f89973f2719bf1764d0c018326848a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>idleDetectCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>aacc71d83dfa3a54530714a785370f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveCheckBoxChanged</name>
      <anchorfile>classPreferences.html</anchorfile>
      <anchor>912b3dc12ec83a4cc9484c6503b59b3f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PrintDialog</name>
    <filename>classPrintDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>PrintDialog</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>45bfe3023be5f8e131a0be2b47b050eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>from</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>bac685d78934ddb5d14088f229f6307b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>to</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>e306d1324d9091f6423fc5c191cdbdb9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>perWeek</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>f08e33356c15207271fa5832bf99186a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>09abd7514b433d9fe9ccba62055884da</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>totalsOnly</name>
      <anchorfile>classPrintDialog.html</anchorfile>
      <anchor>8a41034303d6e3dc6018e6905c17dfaa</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ReportCriteria</name>
    <filename>classReportCriteria.html</filename>
    <member kind="enumeration">
      <name>REPORTTYPE</name>
      <anchor>20fb42219a776ce1b43570d25cbbebe9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>REPORTTYPE</type>
      <name>reportType</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>d8b147af5acb914831379d1643db14a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>6c15619878f0cf197db1e7f29a506396</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>from</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>5cf4f4659a69ddd78795678d9d22df0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDate</type>
      <name>to</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>e724045c0ca0bf799c9c6b438423f1ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>allTasks</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>f8f6ab053e57dee6406fdb1f215098a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>decimalMinutes</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>442a76865fa74de48ace7c0f2d5214af</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>delimiter</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>1e9ddaddc6ac72b3958c7166932ab21e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>quote</name>
      <anchorfile>classReportCriteria.html</anchorfile>
      <anchor>db30b89beb504055c116452267b6043a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Task</name>
    <filename>classTask.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>781b817e719ec187b3bd0a70f510cc09</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>de8c2f42016499923138d9bb1ab41840</anchor>
      <arglist>(Task *thisTask)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Task</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>294f38b7426935c183eb73a3e670155f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>firstChild</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>78b664e68d3bdf9a97ded6e385c5518f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>nextSibling</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>bd7dc59ffab4ba1961ebe9c4bc5b7244</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>parent</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>37cc800076e44d90108b8e4a497c4649</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>TaskView *</type>
      <name>taskView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>ec11d318a0c92d6c938aa0558231c067</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>uid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>cabbd62d822048cd03097c874caaf3ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUid</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>9c7d2cb06a35219676906b49de94e950</anchor>
      <arglist>(const QString uid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cut</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>be700e62483292e6cadd7f910a9cdb19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>move</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>13d42dac1b516b04f7e9a1adaa929550</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>paste</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>91292a86c877033aa9940d564416132f</anchor>
      <arglist>(Task *destination)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>compare</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>b4d2c0ca0dffa8d4b7d309bfffb05d4f</anchor>
      <arglist>(QListViewItem *i, int col, bool ascending) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>7aebbebed73ea411b9929f0b6e9c97c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parseIncidence</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>bbb452751d0abd5db094648156908f3c</anchor>
      <arglist>(KCal::Incidence *, long &amp;minutes, long &amp;sessionMinutes, QString &amp;name, DesktopList &amp;desktops, int &amp;percent_complete)</arglist>
    </member>
    <member kind="function">
      <type>KCal::Todo *</type>
      <name>asTodo</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>1c71f81e503df545d55481abbf485490</anchor>
      <arglist>(KCal::Todo *calendar) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addComment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>2521a226c9783bba7dcea477a0c6fc0a</anchor>
      <arglist>(QString comment, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>0f1fef6c8a8653f717a250fded4dd495</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRoot</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>44ea48068f2872f266fe66dfd394e956</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>remove</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>4319bd8d94bb1d2eb461386bb6bd47e4</anchor>
      <arglist>(QPtrList&lt; Task &gt; &amp;activeTasks, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPercentComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>9275ea276edcf62c6522c98e7e244d46</anchor>
      <arglist>(const int percent, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPixmapProgress</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>08c1996a0a783f188ae80b4df1d6850b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isComplete</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>35fcb31bfa895fe587655d90a72bd941</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeFromView</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>e507fa34514c377623535d2566e1e55d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>lastStart</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>be8de394d380e98d7fccef6b998caf7d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>841b2920daa780c80fa01b663d2f0fc5</anchor>
      <arglist>(long minutes, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>cc606f7f4971b6f42477e5bf633fc4a3</anchor>
      <arglist>(long minutesSession, long minutes, KarmStorage *storage=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>2dfa9327c983938d410c46eec1f73e17</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>04b6f15c3777351ba65336d8dee5c2d4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>time</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>6e8dd6f9164e0bc9b5ab3692a0bd300a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c9ff524f01c88f2694e08cd12f311564</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>sessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>1a5ba8d9d9f3e1689efbeca1d48385c2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>totalSessionTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>df5ba888f66fd34c10a0079621267f2d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>startTime</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>a1c2a603dbd07c6c44bf7e261ee7929f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>158bdad29c13cb59c1da0fc4cf63a764</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDesktopList</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>4449baf50675853a143a67e429f15e9c</anchor>
      <arglist>(DesktopList dl)</arglist>
    </member>
    <member kind="function">
      <type>DesktopList</type>
      <name>getDesktops</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>31fccd3e668a8b79b2568152062303d6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getDesktopStr</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>b14452e699226b354c6661ff66ed3c8f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>5414023656ddca6eb9989f1960e77736</anchor>
      <arglist>(const QString &amp;name, KarmStorage *storage)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>e6e8303dc127a0ac376ca66665f99de4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>55729e700efc927c155d837f3ebdfe97</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>9a010fe8e1056a146d522369177f53e6</anchor>
      <arglist>(bool on, KarmStorage *storage, QDateTime whenStarted=QDateTime::currentDateTime(), QDateTime whenStopped=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>8be867828f93db6b065cdb1cf0fc5297</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateActiveIcon</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c03519a4662880ebc73a7e94332af60c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changeParentTotalTimes</name>
      <anchorfile>classTask.html</anchorfile>
      <anchor>c70b2a7e1dc27af959f54f5683decafc</anchor>
      <arglist>(long minutesSession, long minutes)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskView</name>
    <filename>classTaskView.html</filename>
    <base>KListView</base>
    <member kind="slot">
      <type>QString</type>
      <name>save</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>78094b7e1a448f39819a8365c635103f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>606b36e6331581b9bf5da9738e32222b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopCurrentTimer</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>3b25b7376db4db075aa816d5ad93a260</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimers</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>b3930e4f178c7b3d8aff5abbd2aab333</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopAllTimersAt</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>8166314bd1715bccdd0f4afb74d5cd9a</anchor>
      <arglist>(QDateTime qdt)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>eede484641aff2f701f7f6a1e64c7165</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>f74ebbc1034a78305c4d801a172d1504</anchor>
      <arglist>(QString caption, Task *parent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>refresh</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>8b75cfc4bbe4eea2c3a7e3a38d2fb3a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadFromFlatFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>8cb9af5d33f77fb36acf91bdab45d0bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>importPlanner</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>3a9166a43affdd078ac91573bfb351cc</anchor>
      <arglist>(QString fileName=&quot;&quot;)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>report</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>34a0597b7afd8c6cf09a29a840adbda2</anchor>
      <arglist>(const ReportCriteria &amp;rc)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportcsvFile</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>71387ba7a104f538c47900860a6898a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>exportcsvHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>c0a3bfdc7c071783797e912c11420985</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>635a7579034d8a84031ed19df32f4a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>c1e4ec8bfc3ca7f65c86d4a24afc8d24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>KarmStorage *</type>
      <name>storage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>ed202725404a14b071999659f56693ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>5d7051ec4c34f6e92ada179d9116143b</anchor>
      <arglist>(bool markingascomplete=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reinstateTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>5036edb35d5a93d788d3bc410fc951ce</anchor>
      <arglist>(int completion)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsComplete</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>c74fcbafbf67c5e82d78b9975b30b610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>markTaskAsIncomplete</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>eb1dfbeac118b3888ffcfc517e1fe5cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>extractTime</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>086d568eceb00f78340e7d290b9862f4</anchor>
      <arglist>(int minutes)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>taskTotalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>328e4e4057736bbcbb610ef2f114b4c6</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>adaptColumns</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>e2b24dba5474017c47aa9d4a656219e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deletingTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>de846e835c08f374790d2e66c3c8b071</anchor>
      <arglist>(Task *deletedTask)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>338ec7761976707e0385a5f7e68d0afe</anchor>
      <arglist>(Task *task, QDateTime startTime=QDateTime::currentDateTime())</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stopTimerFor</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>d5c3b5dca9535c2f564b66f947729f75</anchor>
      <arglist>(Task *task)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clearActiveTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>4d65e217ae12432d92ce32d77e83af92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>iCalFileChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a0b4bcd4e75ee10534536b6f24957f97</anchor>
      <arglist>(QString file)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipTotals</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>f42e59bd717f9ebde7c172e8ed5b96a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>35bf071d02492e48de2b7773b5bdeebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clipHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>fe19fd6474ee6d4a00856dfb683ae8b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>totalTimesChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>72d519987c614dbb7b709169c9aebb6c</anchor>
      <arglist>(long session, long total)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updateButtons</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>52075a0ab5fb3bc89a02467943f0fe70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersActive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>e6ccd23fe0eed3ef152205ad6db47f04</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timersInactive</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1140bed668296f579e7073796cee0aff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>tasksChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>4783d168bf4d7161c501c23691af7efe</anchor>
      <arglist>(QPtrList&lt; Task &gt; activeTasks)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>5459634de8050038d4de73e1676ef0d9</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TaskView</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a0ab219358712abbe1172d0e2d3949d8</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QString &amp;icsfile=&quot;&quot;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TaskView</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>7c1576a48bce2755d9f5b00eb8952a49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>first_child</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>37b97cd00e406fdf81f3e00947ea59b9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>current_item</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>dc94497b041b83a625a683dff2b50723</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Task *</type>
      <name>item_at_index</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>b3733aad364ba1266d2be3ddb4a2d755</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>253637f5c84ecc21310117ccdc34e393</anchor>
      <arglist>(QString filename=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeStorage</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>3077a112d1c3c3b573d6ea863754e59e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startNewSession</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>ec876f59a64e0cd370cc4304c838dc7d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetTimeForAllTasks</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>48a440f5753a4c50bb48e765005c6b85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>count</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>fd557e8936273a6e09ca9da2fe7d2622</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; HistoryEvent &gt;</type>
      <name>getHistory</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>1ace558f2e2d68fe3bdfd23836c6bd39</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>scheduleSave</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>f74fee47a13642652a4bb0b2037999ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Preferences *</type>
      <name>preferences</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>cfbb61cb316ae314ad6a12d8e0c90c54</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>addTask</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>01b3bddc499fe3809db35aaffaa0df3f</anchor>
      <arglist>(const QString &amp;taskame, long total, long session, const DesktopList &amp;desktops, Task *parent=0)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSaveChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>6cea8c1051dbec7f4f78e930ec1562a8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>autoSavePeriodChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>0fe31c9cbcc1d4f9cb64c5a74fad5edb</anchor>
      <arglist>(int period)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>minuteUpdate</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>df7cef5e57c275dff9a8ff89fa8a9b07</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>itemStateChanged</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>a3ccb3388eac08cf546deb00bdf9911f</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>iCalFileModified</name>
      <anchorfile>classTaskView.html</anchorfile>
      <anchor>00fb21dd86bea6f8e76c3626bba50a45</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TaskViewWhatsThis</name>
    <filename>classTaskViewWhatsThis.html</filename>
    <member kind="function">
      <type></type>
      <name>TaskViewWhatsThis</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>b6b6152b7034cde9e0907985e6db572f</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TaskViewWhatsThis</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>7dc90b9e4a4f021b0dc4a8f2484976f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classTaskViewWhatsThis.html</anchorfile>
      <anchor>7b94da259ee8c04bcbd38d0a2dc44f82</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TimeKard</name>
    <filename>classTimeKard.html</filename>
    <member kind="enumeration">
      <name>WhichTime</name>
      <anchor>70a6f34451dd7a740892c22120b555d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TimeKard</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>bbc713699a2ee2e11761e58c10f76610</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>totalsAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>992b58e318a67fc0885fec9b60339823</anchor>
      <arglist>(TaskView *taskview, bool justThisTask, WhichTime which)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>historyAsText</name>
      <anchorfile>classTimeKard.html</anchorfile>
      <anchor>7edd0ad99ca203f4d04479a05e9087f7</anchor>
      <arglist>(TaskView *taskview, const QDate &amp;from, const QDate &amp;to, bool justThisTask, bool perWeek, bool totalsOnly)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Week</name>
    <filename>classWeek.html</filename>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>780c80c9c87a7cf8e54d01aa17e38969</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Week</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>b6aa70ca1b12ed27f96d32d348903471</anchor>
      <arglist>(QDate from)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>start</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>47c4f2bf35462863f6622664829da7dd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>end</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>e7f7b32bfe99dc84ac95e82d8f2650be</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QDate &gt;</type>
      <name>days</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>2d156554eb46e932c584695c686421d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>c2c6151610c2622f7c3059f55c70fa6e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; Week &gt;</type>
      <name>weeksFromDateRange</name>
      <anchorfile>classWeek.html</anchorfile>
      <anchor>5dc85f81559698894b71caf7c27d6865</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
  </compound>
</tagfile>
