<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>DropWidget</name>
    <filename>classDropWidget.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>a1df15da3cb89118553e6547d627ed81</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DropWidget</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>1a87bf1da6aa3bff187053c6056e430d</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>a87789a848c3775398643a9a09fdf53e</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classDropWidget.html</anchorfile>
      <anchor>c7d4664d1dc4d7e95690ca2387424ba5</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Feed</name>
    <filename>structFeed.html</filename>
    <member kind="variable">
      <type>DCOPRef</type>
      <name>ref</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>b1aae13e93f72d8e4aa30d581669cce7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>title</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>f5060af6b3e66cda08606a9d05efe29c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>url</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>12ee42741f7f443852df4722e714c0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPixmap</type>
      <name>logo</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>511a276a3c6acc67fe1d16599dc78d10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ArticleMap</type>
      <name>map</name>
      <anchorfile>structFeed.html</anchorfile>
      <anchor>b41dfdd73253b957edf903213c2bbd9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>JournalPlugin</name>
    <filename>classJournalPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>JournalPlugin</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>01d8bf97f6790a9bda1fb12714e62fe8</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~JournalPlugin</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>0d056c30584d9ab6e77a945fc4120fd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>c54210a39391e2843c1ef44207306d1b</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>a5265e80e12fe1c1cbd54b11a5172996</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>dcfe88574b1c0cf5056d34bed51eae75</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>2c26658cfcaf63a4114e92ad8c5b1561</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>eaa06a2cb169e06062055f1d23cf3615</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>76452fe55044331f614f879313a2875c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classJournalPlugin.html</anchorfile>
      <anchor>ff6a49356c341d102a095169d7ddd560</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KABUniqueAppHandler</name>
    <filename>classKABUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KABUniqueAppHandler</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>94dddfaee16977db9f828176f7229c97</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>d3c917e1178c74ceaef922826f27591e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKABUniqueAppHandler.html</anchorfile>
      <anchor>6ae11fa19a98cb740506a68e1311e029</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAddressbookPlugin</name>
    <filename>classKAddressbookPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KAddressbookPlugin</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>317298e9c9ea63cbaec63cb9f2f60a29</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAddressbookPlugin</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>359e2230f48fd70bca3bf21cee46e3c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>530153775afe88c1629cc5c6a10bef80</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>254dc3b7f7f4cbd96ec6ff27c6718d33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>0ba1554d4b17498ec9cc523b6ab12275</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>2dc1a2d0be17fb8f35e90bcfd2658667</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>18afc246beb6b6875e5cf4d1f16e6ca7</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>6bb4dcb96fc384ee9d32c183a28d0921</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>1077abe7fb5f8015ef31271f44888709</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>a9509d2fb5c2854bef109d46ea7886d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KAddressBookIface_stub *</type>
      <name>interface</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>5466293284fa6602692e732b0cccb5bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKAddressbookPlugin.html</anchorfile>
      <anchor>c66478d30c655de6c8ad97b85d241afb</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KarmPlugin</name>
    <filename>classKarmPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="slot">
      <type>void</type>
      <name>newTask</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>cfebfd705d09adb50832a4d49c163ed9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KarmPlugin</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>05076692fd48cbd05a21d845fc2c7815</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KarmPlugin</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>9d40f8d8e07f16582f04c319aa978439</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>9f06ae227da2fd75e8d6f22117b68aab</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>133bd779be1e36b851b61c2de0c00193</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KarmDCOPIface_stub *</type>
      <name>mStub</name>
      <anchorfile>classKarmPlugin.html</anchorfile>
      <anchor>65d2ef7b00d7a436856942a8a6a0c923</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKMailSummary</name>
    <filename>classKCMKMailSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKMailSummary</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>7a8ed796a48a5f0721567a833f630c84</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>5509e5aef995669547752c430139c64e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>d9647711c740f295f40da670956c2390</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKMailSummary.html</anchorfile>
      <anchor>cbc9348b6bb519af4bf89c589ca05502</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KcmKontact</name>
    <filename>classKcmKontact.html</filename>
    <member kind="function">
      <type></type>
      <name>KcmKontact</name>
      <anchorfile>classKcmKontact.html</anchorfile>
      <anchor>3604a9189be8e122b5190271b8cb8589</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKcmKontact.html</anchorfile>
      <anchor>e96bcb58728ed5c38f8ef598a4b40de3</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKontactKNT</name>
    <filename>classKCMKontactKNT.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKontactKNT</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>5b315456404b88006d8587c1afce723f</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>dd31f132c57b2078e9db63841962dbbb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>d4a0ea730c2b50acb6ca5c550966d704</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>41d260139786b60630e6cfb2fca34bba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCMKontactKNT.html</anchorfile>
      <anchor>7abacd1c708e66c6fc3e75c92c5797a4</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKontactSummary</name>
    <filename>classKCMKontactSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKontactSummary</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>3386aa38d5b275f9e2e0cec85e716fcb</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>3c9a734626c2d12830e15ff64dc05a6e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>78c5c96a28ab5a00ed8ed0eaf774e8e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKontactSummary.html</anchorfile>
      <anchor>3348dbf28c75c63c7f00b7f888a48f98</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMKOrgSummary</name>
    <filename>classKCMKOrgSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMKOrgSummary</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>7aa8affe366c39daa2c15ca102f5d559</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>904d26eb42a28d9cd24ccb05eb290382</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>120c5c78cb58d763753ac835801a49ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMKOrgSummary.html</anchorfile>
      <anchor>b533819ddf972ea4d1fc25ce5749e645</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMSDSummary</name>
    <filename>classKCMSDSummary.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCMSDSummary</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>e9c2e69dd51e0de4a5c99ac7979fc99b</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>9a5ede34aa1a2a53d55b2f3cca8eabdd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>840b9f5e8762feb950dbef8d97398a47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>5ec757324c759905732629f0ca803b79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCMSDSummary.html</anchorfile>
      <anchor>3402c75719a1c2bc50e246da88176c7f</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KitchenSyncPlugin</name>
    <filename>classKitchenSyncPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KitchenSyncPlugin</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>00670af45685b838610047af214fcfa6</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KitchenSyncPlugin</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>7003a71aa588dbb5bc1fc546ac257b47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>a774a6f56efb736d7e7672a6b26f0b9e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>b6d7f3cb0f159b190aa8eaa26a3e38c8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKitchenSyncPlugin.html</anchorfile>
      <anchor>9ab5f743a822e1a09eb5b75026cec4ea</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMailPlugin</name>
    <filename>classKMailPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KMailPlugin</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>a68fcd5db7e53d38e965438fbb50e9b2</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMailPlugin</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>a5f8f27ed5b8b37e7518b1888b456d25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>de083ed81549ddf25a75f75eb445d194</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>7c1bcf1379c7b5122530e70d611ba3b9</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>ced4b712021021c348092c2b305dbe14</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>02cbabe2833db19d2525a96693b1ab72</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>87841bcef78ecd340fbc10dea0b38874</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>d7bc6c9bc1fd83fa83d30f9953bf5fb2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>c34dd5491df43b686198aa12262e3292</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewMail</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>e7cb1d92147fa2b5d84b9d72c75525fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>4afa3ae04d5e71902f444d4bbb5dd188</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>openComposer</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>e3d3af45945ad7d564bdd5022f31762b</anchor>
      <arglist>(const KURL &amp;=KURL())</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>openComposer</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>5fa9d8936075bca07b4324e4a062a463</anchor>
      <arglist>(const QString &amp;to)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>514899f4362a5055ee31d7737d9a91d3</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKMailPlugin.html</anchorfile>
      <anchor>8003a9743cbfe4f4c531b0d8d0c92861</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMailUniqueAppHandler</name>
    <filename>classKMailUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KMailUniqueAppHandler</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>32026282408c5b9dc5b5c2e6d16bb4b6</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>bd05dc8dde2acba1ff379a6c3ae314e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKMailUniqueAppHandler.html</anchorfile>
      <anchor>57319e1a271e750bb30593da61e18a5e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNodePlugin</name>
    <filename>classKNodePlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KNodePlugin</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>1bf43b78be6fff6dafa37e908c978820</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNodePlugin</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>10270a10ff540c0deb48bbdd47188f5e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>5d039e3b26fb8b04da11acc0f8036c8a</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>7235b17886d02f5b261c391914d8819a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>407a40780a73ee66d79667104fa2f710</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>11c499b9e94fb8a0b9895e972ae08653</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPostArticle</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>5c4581b12841e2510673e082c9565842</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKNodePlugin.html</anchorfile>
      <anchor>49fcb453be1aefae79e537c80e06f6e1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNodeUniqueAppHandler</name>
    <filename>classKNodeUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KNodeUniqueAppHandler</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>ad9ee53e2b5aa112d946e8f4a8fe8680</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>f35881afc134eae44246ea5bfd3da695</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKNodeUniqueAppHandler.html</anchorfile>
      <anchor>1be65bf31663b069b549505d68ee079c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesPart</name>
    <filename>classKNotesPart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot">
      <type>QString</type>
      <name>newNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>6633944119a3e9b44f4bb5638a145fa7</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="slot">
      <type>QString</type>
      <name>newNoteFromClipboard</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>d5ea4edbb4632a2199b3f23fcc6ae3d4</anchor>
      <arglist>(const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotesPart</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>131a23f4ba16f59b15760f91d2189b74</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesPart</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>5b98e54145b23a74172cc431d2c884ba</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openFile</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>7a6927363f2fb76b721a42253099f1fc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>b7814d7e8fbe84e07820fe0c15530296</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>killNote</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>032af0111fd54b5bd0983d368196b825</anchor>
      <arglist>(const QString &amp;id, bool force)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>bd2dc35542668b2fbde7b3dc385bb09e</anchor>
      <arglist>(const QString &amp;id) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>104d9d938790d5edcde4da38537462b0</anchor>
      <arglist>(const QString &amp;id) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>7a078486048e91550b8e600f524539a7</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>d893689e82c1e59ffc859d54ed7fd5cf</anchor>
      <arglist>(const QString &amp;id, const QString &amp;newText)</arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>notes</name>
      <anchorfile>classKNotesPart.html</anchorfile>
      <anchor>85b4b0cf63deeee563ad3512b4e585ee</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesPlugin</name>
    <filename>classKNotesPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KNotesPlugin</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>adf35f50118f82619b8eae15015a6c44</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotesPlugin</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>8c79cf4ee03d0726372e316faeaaacf6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>e6b025e4fd0a62f5a7850fabab998287</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>08f8ec1dab6d5d020ed2884bff5ec9c4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>d0ae1d974e74ce9edff4d9478c94d6bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKNotesPlugin.html</anchorfile>
      <anchor>463244454b658040c250e83d7f912765</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotesSummaryWidget</name>
    <filename>classKNotesSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="function">
      <type></type>
      <name>KNotesSummaryWidget</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>5014e85a9b067fdd8757abbce679cc19</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>bf79b0c0d79ff56ea8678b49580ce746</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>urlClicked</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>5258c76c95febcb8940989da424c4497</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>b1ce34a1321087b2a90d831bb0dc1d97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>addNote</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>dc101b0535ab84613ff20352b86b81a5</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeNote</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>df263ed97e9f51ef596751d98d2d9255</anchor>
      <arglist>(KCal::Journal *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKNotesSummaryWidget.html</anchorfile>
      <anchor>6b55b9620875451819061fe532802363</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNoteTip</name>
    <filename>classKNoteTip.html</filename>
    <member kind="function">
      <type></type>
      <name>KNoteTip</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>3215d7726622ec3057a4eda38b16c41b</anchor>
      <arglist>(KIconView *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNoteTip</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>187eb672d9184bb41295979ed95ea21b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNote</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>d91c43ee77bb729ee1267c4b2dbc2b03</anchor>
      <arglist>(KNotesIconViewItem *item)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>1dd54223dd23964091344af6f06825f7</anchor>
      <arglist>(QObject *, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>timerEvent</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>01ee6963f1c5103bcdac18445e89960b</anchor>
      <arglist>(QTimerEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKNoteTip.html</anchorfile>
      <anchor>4c47fe939b9f187729b951205016ebdc</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrganizerPlugin</name>
    <filename>classKOrganizerPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KOrganizerPlugin</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>038bbea2264eb5b35c5159c39d7a2145</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOrganizerPlugin</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>6ad5baf721b0744b4e3e8f7ec5dda65e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>121b1db5eeeb2438816d60e262729dad</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>31dc62a1c42a335c8bfe81b11ddd86af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>67a3600832ead58c606741b7a303c5b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>c2a642e228dae7292ab57fee097505d6</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>2c58d6d800842d701c252de3ba3aa8de</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>894396d976c90f83fdf6e6e7da5b2904</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>0b11d881e55eb7637c68b20c75fab906</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>0ac53971323a1a74d3b0b7a0926d4dc5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>4f85331db284dd6fa29d54bdea85e075</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>069ce7d11eea33605eacbb3dfba5885c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKOrganizerPlugin.html</anchorfile>
      <anchor>05d90816ae20e77c6d2fd08fde824d1f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrganizerUniqueAppHandler</name>
    <filename>classKOrganizerUniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>KOrganizerUniqueAppHandler</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>bc512d5fefaa87fdebb600d979cd4305</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>5d221276a35ee2cd20f5326148489214</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKOrganizerUniqueAppHandler.html</anchorfile>
      <anchor>af3c7149c78f04889b47b9095aec6c81</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPilotPlugin</name>
    <filename>classKPilotPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>KPilotPlugin</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>eaeaf6184a89d9d973d9edc28dd7d2fc</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>655d690e6cd5deaaa6d31cf2476406ae</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>78ccd32f13b5bcbfc743d04896cd6ea9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>cb784a81237e2d5bd04d37741e19f6eb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKPilotPlugin.html</anchorfile>
      <anchor>0ddb54a5be66f452d839c04fda661a9a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsEditDialog</name>
    <filename>classNewsEditDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>NewsEditDialog</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>1f34fde0cd9698027d34a5f3ec40c27b</anchor>
      <arglist>(const QString &amp;, const QString &amp;, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>a811c482a039e4995d807054563ea85e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classNewsEditDialog.html</anchorfile>
      <anchor>d59797c1f5cc41d84c01439681ae8262</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsSourceData</name>
    <filename>classNewsSourceData.html</filename>
    <member kind="enumeration">
      <name>Category</name>
      <anchor>e3fc76c0e8fa897c13b98265d2ad4230</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; NewsSourceData &gt;</type>
      <name>List</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>9216bfa5cf7b626ad6fdfb2ce563e75c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>NewsSourceData</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>5caaf3ef95c7063e23baeaf42b566fd3</anchor>
      <arglist>(const QString &amp;name=I18N_NOOP(&quot;Unknown&quot;), const QString &amp;url=QString::null, const QString &amp;icon=QString::null, const Category category=Computers)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>d58bae5e7da5c09d0f9eef48c0181b01</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>3110e6da220c044dcdc00bf6c43fa977</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>1fbff6cfc4c35b008c95d6ac8288a967</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Category</type>
      <name>category</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>3efc5f4232ae5838b41ecaf3a5024d6b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mName</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>ca2cd2003c857e0f759d6dc34c537756</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mURL</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>abba1dc52b9f502e939f5057756802e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mIcon</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>abee114e1fe347805c118f2a47fe4aa2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Category</type>
      <name>mCategory</name>
      <anchorfile>classNewsSourceData.html</anchorfile>
      <anchor>3cb4c993d90bc1383c0d7ef39fa036eb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NewsTickerPlugin</name>
    <filename>classNewsTickerPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>NewsTickerPlugin</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>02c1009b03634ecc4abed9052de951f7</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>6c0dc9568276a349fb07930332f5326c</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classNewsTickerPlugin.html</anchorfile>
      <anchor>048f869119cf4857e5db66beb02523a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginSelection</name>
    <filename>classPluginSelection.html</filename>
    <member kind="function">
      <type></type>
      <name>PluginSelection</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>0551b8bb06cdeb2686e842df9b6b0186</anchor>
      <arglist>(KConfigSkeleton::ItemString *item, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginSelection</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>c2bd93e4868f57e447c3558d26a0cf0a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>445051def568cf711ddcc15e42573956</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>3cd8bd9f26624c06a80e07d0e6ba9e47</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; QWidget * &gt;</type>
      <name>widgets</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>acd919b041a7527e3f0c5c50fd04f809</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QComboBox *</type>
      <name>comboBox</name>
      <anchorfile>classPluginSelection.html</anchorfile>
      <anchor>c19acd4ac19fa69e27d1bec9a9b83a5b</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>PluginView</name>
    <filename>classPluginView.html</filename>
    <base>KListView</base>
    <member kind="function">
      <type></type>
      <name>PluginView</name>
      <anchorfile>classPluginView.html</anchorfile>
      <anchor>5afde8507f66b8e1b7e23ed100eb9956</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginView</name>
      <anchorfile>classPluginView.html</anchorfile>
      <anchor>66cb40f5ecb22eb887576066ebf90cde</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SDSummaryWidget</name>
    <filename>classSDSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="function">
      <type></type>
      <name>SDSummaryWidget</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>a121604d992ddee7bd04de3998f66cd2</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>3e7f0ffc9726f9267b5ad6d17562ea97</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>configUpdated</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>1e89e3261ae9ed775bf40c4661b888cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>fce0b427b8e5226d2a32bed6777a41a0</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSDSummaryWidget.html</anchorfile>
      <anchor>36a7aabd8d79e88534f9eec1c0cc0ca8</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SpecialdatesPlugin</name>
    <filename>classSpecialdatesPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>SpecialdatesPlugin</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>8a74217131f30591cba73cb29c70b997</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SpecialdatesPlugin</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>fbdb2c39e8faee93a9c2f15851f6f9dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>b285000b542d5712aa70ec3b745bed4b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>b67aaba3527e6d33f557afa674e9534a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>7084fe97c8290152ff3f80135930e6f0</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classSpecialdatesPlugin.html</anchorfile>
      <anchor>98be602e07a0369fa1185e734a4eea61</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryView</name>
    <filename>classSummaryView.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>SummaryView</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>0ad45ac4173552dacfe28dcc68413bab</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryView</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>97dee53954e04118c2d935d840cf42d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>85420d19ffdb8870e890892c9372c5b1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>2c284d305ced79e26ad2be8eab753821</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classSummaryView.html</anchorfile>
      <anchor>2aa964c5dea5b5b876fd5a64f6f0250e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryViewPart</name>
    <filename>classSummaryViewPart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTextChanged</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>90b7ab1cd0e3ff30cc187f28671ff7a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotAdjustPalette</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>c78fae5591f6eb40626affa98b9e7fc1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>b0516ba313d4486fa2c84fba13758fb2</anchor>
      <arglist>(const QDate &amp;newDate)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>textChanged</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>7ef5331d684709dbfff9cda41f46eeac</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryViewPart</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>8bb822f022a89c8722a0460d1a52c737</anchor>
      <arglist>(Kontact::Core *core, const char *widgetName, const KAboutData *aboutData, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryViewPart</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>0ddbb8009c51a1ce5ebdceadd7e090a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotConfigure</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>48af8373ee91bd26f629bbd334c54cdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateSummaries</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>fc91ac764755e33cca387666b9b46ddf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateWidgets</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>0a3375710b5dbae8ae92b891e7623819</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>summaryWidgetMoved</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>5d3313b7123237086e0c3de5b818c51e</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>216b40ed11f44aa82d4e3bd117924c4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classSummaryViewPart.html</anchorfile>
      <anchor>1a923eb8c8995c0a3433ba0bc6864b24</anchor>
      <arglist>(KParts::PartActivateEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SummaryWidget</name>
    <filename>classSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <base>Kontact::Summary</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>0b684be48800e09d12be51ef0b31e0fa</anchor>
      <arglist>(bool force)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b4cd4056e12d8d9d2f999b87bc5ad354</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b4cd4056e12d8d9d2f999b87bc5ad354</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>configChanged</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>07dcadd8cd81173f3c9612e87f938a61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>receiveDaemonStatusDetails</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>8a5c3031eeb9a259c7893f57ae361fe8</anchor>
      <arglist>(QDateTime, QString, QStringList, QString, QString, QString, bool)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentUpdated</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>5b46af93f66146b215bae45fa05867aa</anchor>
      <arglist>(DCOPRef)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentAdded</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>35a913d8c45f6637fad526ed4bb2a068</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentRemoved</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>6e378390284025f4317f7aa2e11bcf6e</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>documentUpdateError</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>c39ffc1026c074db2166c325444f4d6e</anchor>
      <arglist>(DCOPRef ref, int errorCode)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>f8b1c3b4f1323056ac6437478d62af42</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>stationRemoved</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>832aa922acea18433655844eb5b6466b</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>0f14607845a893e8c7242ce33c29ace2</anchor>
      <arglist>(Kontact::Plugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>42242f64199f94585f6e9f0170421c7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>28bab94fadc08415f13f0915553a6ad7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>3155b7a66a76935af400e60c687b96b1</anchor>
      <arglist>(KOrganizerPlugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>a34ee0b8b848238fb3d6106187e6acd9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>42242f64199f94585f6e9f0170421c7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>28bab94fadc08415f13f0915553a6ad7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>9eab5a909fe64ae62db904d8cb0df502</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>42242f64199f94585f6e9f0170421c7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>28bab94fadc08415f13f0915553a6ad7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>9eab5a909fe64ae62db904d8cb0df502</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>42242f64199f94585f6e9f0170421c7a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>28bab94fadc08415f13f0915553a6ad7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SummaryWidget</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>9eab5a909fe64ae62db904d8cb0df502</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>28bab94fadc08415f13f0915553a6ad7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>b4cd4056e12d8d9d2f999b87bc5ad354</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_hidden</type>
      <name>__pad0__</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>292feca9aec484e87da5c8d1badfc04a</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateDocuments</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>543c288f85806d0c1ff87036c86aee2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>rmbMenu</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>1b6c17bb5f450f81886b00eaab927861</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>3fc14b42093bff1fcb7b9e21b0e42ecb</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>47b283f39c70780cce870ad3959a1f17</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>47b283f39c70780cce870ad3959a1f17</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initDocuments</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>8ac5be3eea710a8239bd0d8da4db09e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateView</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>afb37806da6c618cefc16135ff70daae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>468b6602b8cda3f7461591b0837a2929</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classSummaryWidget.html</anchorfile>
      <anchor>47b283f39c70780cce870ad3959a1f17</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TodoPlugin</name>
    <filename>classTodoPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>TodoPlugin</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>d601683eac07e196b00464628e51aa5b</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TodoPlugin</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>17fea79b626be775f842149a12eb9439</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>aa0d4ed969fdd45d2257b19254212956</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>f5dfb69e7d68ea25ab089f61d345a32a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>9f24a9184efa7e3ec59e7728ec4af5b0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>7a909762cc994a247c60efd7df086eb6</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processDropEvent</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>07b09a27081986e06129d923f13779bf</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>44af5fce8995cdd983eff0a6c8d612e4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>725c23864f9ca4c4ec78a27124ace226</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>select</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>4b7159a3c8f6d846aa2b8e73f5da453c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCalendarIface_stub *</type>
      <name>interface</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>ed2058a738212d0bf76c73b4aa47ef4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classTodoPlugin.html</anchorfile>
      <anchor>9ec961de8ddf8a5982d5a12401f43cbf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TodoSummaryWidget</name>
    <filename>classTodoSummaryWidget.html</filename>
    <base>Kontact::Summary</base>
    <member kind="slot">
      <type>void</type>
      <name>updateSummary</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>3c7a54408cca0db6ac0623e4eac59c88</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TodoSummaryWidget</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>aab39857a559561a4a8e8414f3b2ad5c</anchor>
      <arglist>(TodoPlugin *plugin, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TodoSummaryWidget</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>1e4193dd66aa690f594f08799ceda2f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>summaryHeight</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>f755d222ccb025ee54eebcc4e381cf45</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>configModules</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>a19069c41f04ba0cef66cfbeba1768e6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classTodoSummaryWidget.html</anchorfile>
      <anchor>41072c4b199746f68e64fdbaa0b2fbf2</anchor>
      <arglist>(QObject *obj, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WeatherData</name>
    <filename>classWeatherData.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>9d09b4d7dc3219d6264d2087dc2aa07e</anchor>
      <arglist>(const QPixmap &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>QPixmap</type>
      <name>icon</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>cd8c7b2f2313592c152105e016b848d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>8dbd0acaa94c7c5e939579298eeca3d2</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>835802bb1a88e0a6f18167f15e46cfe3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCover</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>54ffbcda86069eb5957ee6bb3b43a7de</anchor>
      <arglist>(const QStringList &amp;cover)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>cover</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>d93e4978104b30aa9e4426532de6dd15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDate</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>4fd6c1a2e9d19ec9ec1e28f32dafa48b</anchor>
      <arglist>(const QString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>date</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>717cdd8975936b49a2167382f0aaea51</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemperature</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>e8e55d2541f3d6dc95f2ce151ea44ace</anchor>
      <arglist>(const QString &amp;temperature)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>temperature</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>519901bf5f24560ba40ad7be65c14e57</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWindSpeed</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>c01fdc67822b05e79c300b240286b0ae</anchor>
      <arglist>(const QString &amp;windSpeed)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>windSpeed</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>32259d9bcf3260273d265dd015ac711e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelativeHumidity</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>d653f37e117369fe248378bb0035be67</anchor>
      <arglist>(const QString &amp;relativeHumidity)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>relativeHumidity</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>f0bf7dd36c0baf8fbf3dd34304f94e9c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStationID</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>35a47413a100878aa9e673360eb316b2</anchor>
      <arglist>(const QString &amp;station)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>stationID</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>5e1e275f02bcdfc54857d87c69fd4f05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classWeatherData.html</anchorfile>
      <anchor>4cfe48cac190edb5c3612963679fb6fc</anchor>
      <arglist>(const WeatherData &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>WeatherPlugin</name>
    <filename>classWeatherPlugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>WeatherPlugin</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>253fccb6e79bbfcd945bd6de301e6de6</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Kontact::Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>71c0411d1b25459735649baf3a5cca9c</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>ae2a408193d960c390bf66aee8481d2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classWeatherPlugin.html</anchorfile>
      <anchor>f0bacd42894d3ef9446040c2dfe86a4b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Akregator</name>
    <filename>namespaceAkregator.html</filename>
    <class kind="class">Akregator::UniqueAppHandler</class>
    <class kind="class">Akregator::Plugin</class>
    <member kind="typedef">
      <type>KGenericFactory&lt; Akregator::Plugin, Kontact::Core &gt;</type>
      <name>PluginFactory</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>2a90b13f8313267ff3a9526bc8e6d8e3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>KParts::ReadOnlyPart</type>
      <name>MyBasePart</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>2dd2092d12abb44695643d2c619dacf5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>K_EXPORT_COMPONENT_FACTORY</name>
      <anchorfile>namespaceAkregator.html</anchorfile>
      <anchor>c4114810fa307122435aca08d3dbc61c</anchor>
      <arglist>(libkontact_akregator, PluginFactory(&quot;kontact_akregator&quot;)) Plugin</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::UniqueAppHandler</name>
    <filename>classAkregator_1_1UniqueAppHandler.html</filename>
    <base>Kontact::UniqueAppHandler</base>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>0993e185a692f55a6c8a25e55042282d</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>fd771c480482a3e832ed1748c45cc425</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classAkregator_1_1UniqueAppHandler.html</anchorfile>
      <anchor>6d4161878f6947dc347b1fc70cd6e4c4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Akregator::Plugin</name>
    <filename>classAkregator_1_1Plugin.html</filename>
    <base>Kontact::Plugin</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>724021dc27cfd07ef7b9a3e9432c6874</anchor>
      <arglist>(Kontact::Core *core, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Plugin</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>f0f0d83f6cff4163c5ab310d6c9ebca4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>6dd8d68e2d9fea449219ae30bda73529</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>AkregatorPartIface_stub *</type>
      <name>interface</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>7e829570cfb4226f5a8180c26dd2c164</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>e04cbe4a6fcf3ae0086076549d7c4616</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>b6cd88ff6edec5f255231fed840b1de6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>eb7e2978a9655820af6e0e2a4422b6ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>fd64822c4ff5850a79eef158340fc6b4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>fe21e9b9b32e256531172a97c644d51b</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>MyBasePart *</type>
      <name>createPart</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>9f3b855850750513bb79ca77095ae2f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>AkregatorPartIface_stub *</type>
      <name>m_stub</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>a281327034feda26d9fe15f12d11aefd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kontact::UniqueAppWatcher *</type>
      <name>m_uniqueAppWatcher</name>
      <anchorfile>classAkregator_1_1Plugin.html</anchorfile>
      <anchor>5a695b5ee58e5d0411e2ec35e947993a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Kontact</name>
    <filename>namespaceKontact.html</filename>
    <class kind="class">Kontact::Core</class>
    <class kind="class">Kontact::Plugin</class>
    <class kind="class">Kontact::Summary</class>
    <class kind="class">Kontact::UniqueAppHandler</class>
    <class kind="class">Kontact::UniqueAppHandlerFactoryBase</class>
    <class kind="class">Kontact::UniqueAppHandlerFactory</class>
    <class kind="class">Kontact::UniqueAppWatcher</class>
    <class kind="class">Kontact::AboutDialog</class>
    <class kind="class">Kontact::EntryItem</class>
    <class kind="class">Kontact::EntryItemToolTip</class>
    <class kind="class">Kontact::Navigator</class>
    <class kind="class">Kontact::IconSidePane</class>
    <class kind="class">Kontact::MainWindow</class>
    <class kind="class">Kontact::SidePaneBase</class>
    <member kind="typedef">
      <type>QValueList&lt; Kontact::Plugin * &gt;</type>
      <name>PluginList</name>
      <anchorfile>namespaceKontact.html</anchorfile>
      <anchor>8c11ccfe91c9f274f8ad4e229d01c7b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>IconViewMode</name>
      <anchor>ce99caeba575b4bf7100bb6984573311</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Core</name>
    <filename>classKontact_1_1Core.html</filename>
    <base>KParts::MainWindow</base>
    <member kind="signal">
      <type>void</type>
      <name>dayChanged</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>99e0ef45f93e09e6778751a54cf0d9ec</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Core</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>52d47c8b14ad1d7320cd0dfca7adc533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>ccdc201d13517da0c6102abc7539bdad</anchor>
      <arglist>(Kontact::Plugin *plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>291110f8d284b1ffb150de3545f41f3b</anchor>
      <arglist>(const QString &amp;plugin)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QValueList&lt; Kontact::Plugin * &gt;</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>c3b23065de2040f45450751b6e0d5f69</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>f2f69097fb6fd2f01f8bf9bfc1a6f743</anchor>
      <arglist>(const char *libname)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>bb975b047411d8efa17a3c1ad680cfbc</anchor>
      <arglist>(Plugin *plugin, KParts::ReadOnlyPart *part)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Core</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>c56f5eb04ff7d2d4a91adf12f63e789a</anchor>
      <arglist>(QWidget *parentWidget=0, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKontact_1_1Core.html</anchorfile>
      <anchor>5adadf4e412aa0a7cad79a5117e8c2eb</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Plugin</name>
    <filename>classKontact_1_1Plugin.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>slotConfigUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>d063650fd39bf0ec8392141825234eb1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>28ae8a7b6ff226d65fb73bba37823e41</anchor>
      <arglist>(Core *core, QObject *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Plugin</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>8842d4c53004230c267ba5b5b748794d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>8b18bdae84726cf324c8e0b274ebc0f6</anchor>
      <arglist>(const QString &amp;identifier)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identifier</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b3ae76f82f2e6b641c4b9e1750cf179f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>0af050986d9b2afc665724a533df9b36</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>1b631e0bc203a5fcbca1a1b6e491412e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>85547132569b4a88d5a13e3592855eaf</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>04b7d7aec619abf2f763049f3de7c497</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExecutableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>be4d0da04fd1a965ebc21a49c066ee63</anchor>
      <arglist>(const QString &amp;bin)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>executableName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>4fe4a16a30acaefa4049a0e89dd3e78a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartLibraryName</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>aaa78cf2b6e25078a4ed74f641d3242e</anchor>
      <arglist>(const QCString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>createDCOPInterface</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>76fc99f9e5f1c24beebcbd01eda055c2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>4840a7b419e64bc229c66e11fe17ec8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>bringToForeground</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>1825932ef10380f31ed1721d98b43e35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>be3538806012a743151ea37db4af1af5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KParts::ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>7c8332a61843935a3cec986d0a9b1b4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>tipFile</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>4db6b51971e8807c26a5082654e6a1c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>select</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>9885ea7877750f701f401b858d35cf1f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>configUpdated</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>e08315c998db24767fedb928ca99f2e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Summary *</type>
      <name>createSummaryWidget</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>776a9616d300ee40cf3616122b95df8a</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>showInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>32aff61d835a64ae91f9a77d1308878e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowInSideBar</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>63b6db7406f725dcfa6f514cd24ce703</anchor>
      <arglist>(bool hasPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>d8ffe72349ec4d2116f2a586738bf005</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>88a0570189b8d6ce8aa506186043fe99</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>weight</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>7a88228c6f24b23e35f3f500b3b8ada4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insertNewAction</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>3e0f1c4d60bf1603f730272eed1b00ac</anchor>
      <arglist>(KAction *action)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KAction &gt; *</type>
      <name>newActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>551eb25e05bd08a2227bb28f1f4ae47c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>invisibleToolbarActions</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>961b0a94926dd2d2bb695b221bc9d8e0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>canDecodeDrag</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>612a6fbf022ab49e990a4790f6244a74</anchor>
      <arglist>(QMimeSource *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>processDropEvent</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>4b4b3d8e3fe23021add644ee3167dea6</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>5bc0193abb8e1279d8cf578eecd5f31e</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>b7e0cf71422ebbacf6377b8879d98400</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>8a3f4915fdb0458614e93733e0be252f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KParts::ReadOnlyPart *</type>
      <name>createPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>884093916e3b58488be97f19842c3cc2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>loadPart</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>6286f685623055a9ce7a5ef254579bac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKontact_1_1Plugin.html</anchorfile>
      <anchor>d5d63b7157a58f6f930ad42e58f2a666</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Summary</name>
    <filename>classKontact_1_1Summary.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>configChanged</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>6be1997acd93785c2dffbe6e1e3285f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateSummary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>eb27da71f1ad16e95a0074352b2fa3ee</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>message</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>fadcf2539834f87dd5b5069cd349a552</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>summaryWidgetDropped</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>99fcd308c6d8ed84227d7ecf9dff4256</anchor>
      <arglist>(QWidget *target, QWidget *widget, int alignment)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>d0f383032e9b96de986013f2adfdaadb</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Summary</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>0989932dfd1d82a9cde2f7539c9f704c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>summaryHeight</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>36489043fbbf96d7b7373e50832b060a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>createHeader</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>76dbae803b05c005c0224c41eea3c5e8</anchor>
      <arglist>(QWidget *parent, const QPixmap &amp;icon, const QString &amp;heading)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>configModules</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>51181c06d0b792e25528d394e5ed26ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>f68664165c27ca0d6306114dc2508f46</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseMoveEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>b665c9550c1108a9cb2fcb9f3ccf9b73</anchor>
      <arglist>(QMouseEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>3d643f068e608e53f5ffd15d269f9940</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Summary.html</anchorfile>
      <anchor>ed0aa2b4cb416291fad581d35b933996</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandler</name>
    <filename>classKontact_1_1UniqueAppHandler.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>95dcb28c6c20ca9a174a1bd6d77603cf</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>db8089004374bf2e9a7dfb8c357b3c15</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>newInstance</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>28bfc697158d56ffadbedaacfa3c9338</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>be986c8413c07b088ac98744595e27cd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadKontactCommandLineOptions</name>
      <anchorfile>classKontact_1_1UniqueAppHandler.html</anchorfile>
      <anchor>a187a1071bf653741a7cfe5dc6636460</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactoryBase</name>
    <filename>classKontact_1_1UniqueAppHandlerFactoryBase.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactoryBase.html</anchorfile>
      <anchor>44f7684292faa7eb878cc3aa3c1e55c5</anchor>
      <arglist>(Plugin *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppHandlerFactory</name>
    <filename>classKontact_1_1UniqueAppHandlerFactory.html</filename>
    <templarg>T</templarg>
    <base>Kontact::UniqueAppHandlerFactoryBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual UniqueAppHandler *</type>
      <name>createHandler</name>
      <anchorfile>classKontact_1_1UniqueAppHandlerFactory.html</anchorfile>
      <anchor>5c5b0c49ab03db92ab9b9e71e211f0c9</anchor>
      <arglist>(Plugin *plugin)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::UniqueAppWatcher</name>
    <filename>classKontact_1_1UniqueAppWatcher.html</filename>
    <member kind="function">
      <type></type>
      <name>UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>b830805528868a2aff0c7d9f9120017c</anchor>
      <arglist>(UniqueAppHandlerFactoryBase *factory, Plugin *plugin)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~UniqueAppWatcher</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>1c1abdb1a8387875c10a6d40d7a9e559</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunningStandalone</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>afbb714eb62dfdbf212f80eae24ed42c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>unregisteredFromDCOP</name>
      <anchorfile>classKontact_1_1UniqueAppWatcher.html</anchorfile>
      <anchor>881f2fb79c75417042cf9ea4d589b9d8</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::AboutDialog</name>
    <filename>classKontact_1_1AboutDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>AboutDialog</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>8b7221302a8afa73dc9316a0c2fcf791</anchor>
      <arglist>(Kontact::Core *core, const char *name=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAboutPlugin</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>dc08e411dc3ae5f236b29e6815f6a871</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAboutData</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>f3b6a6222d5217073c90adcb08db2a33</anchor>
      <arglist>(const QString &amp;title, const QString &amp;icon, const KAboutData *about)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addLicenseText</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>c92608cdc94285d212b1b69419c920e5</anchor>
      <arglist>(const KAboutData *about)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>formatPerson</name>
      <anchorfile>classKontact_1_1AboutDialog.html</anchorfile>
      <anchor>2a617813e9128dc756ca3ffe084244bb</anchor>
      <arglist>(const QString &amp;name, const QString &amp;email)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItem</name>
    <filename>classKontact_1_1EntryItem.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>374d8371ce7de42316e924dd01536f97</anchor>
      <arglist>(Navigator *, Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~EntryItem</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>1a98e6bbe53d29daeade5085b9c7cb64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kontact::Plugin *</type>
      <name>plugin</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>0f4de3292ea04656a481fe3b852c80cb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QPixmap *</type>
      <name>pixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>8dc2d6374e24fa658f280767d0b0bf5e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Navigator *</type>
      <name>navigator</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>5f3939812d90833372f781ecb2200e1c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHover</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a353bd5944fabb38b4570669b71f8202</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPaintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>a9010adf3bb985f48a117ca4cd1bf55b</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>paintActive</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>cb5b9aa24eb1f4f297a0f4bdde656d3a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>c009e8bdfbc0d77a7855e48e03246a26</anchor>
      <arglist>(const QListBox *) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>b888a9412e5e23f6317669a7417908d0</anchor>
      <arglist>(const QListBox *) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadPixmap</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>4a00c1b256782510860032fb55efa90b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchorfile>classKontact_1_1EntryItem.html</anchorfile>
      <anchor>dc194b81a5deff33cdb13f1e96c7d715</anchor>
      <arglist>(QPainter *p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::EntryItemToolTip</name>
    <filename>classKontact_1_1EntryItemToolTip.html</filename>
    <member kind="function">
      <type></type>
      <name>EntryItemToolTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>9d29b825fdfe97c89b653a337097bb65</anchor>
      <arglist>(QListBox *parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>maybeTip</name>
      <anchorfile>classKontact_1_1EntryItemToolTip.html</anchorfile>
      <anchor>bff028022cc3b0cc5e40662648445e38</anchor>
      <arglist>(const QPoint &amp;p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::Navigator</name>
    <filename>classKontact_1_1Navigator.html</filename>
    <base>KListBox</base>
    <member kind="signal">
      <type>void</type>
      <name>pluginActivated</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>59ec67934895fcafcf20aeea425d2623</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Navigator</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>447a10d32437bf2e9f00ced9e76d68e9</anchor>
      <arglist>(SidePaneBase *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>739b54d8f2a8b1da723083d3d74741f7</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>aedb5c997dd201fd3c0758bc21e9e2c7</anchor>
      <arglist>(QValueList&lt; Kontact::Plugin * &gt; plugins)</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>104697ea09d75b65c4cbdc0e366d68b3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>highlightItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>259d95f9fdcbcd8180c323535ba0f905</anchor>
      <arglist>(EntryItem *item)</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>viewMode</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>28f96e69a3f1a2a8d83ca57123272209</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IconViewMode</type>
      <name>sizeIntToEnum</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>60b146398661d0631d3d87be7b156fd6</anchor>
      <arglist>(int size) const</arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>32852271ba37a19d63e9dd7cea8ae5f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showIcons</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>1b314bed9a01d1f5cbd5de9f839b36fa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showText</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>843f80602935590183559c2c44ee6a85</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotExecuted</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>81cc18eccf6bd5211bf800206237ef2b</anchor>
      <arglist>(QListBoxItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOn</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ab07a304f854fef46f61864bda71eac6</anchor>
      <arglist>(QListBoxItem *item)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotMouseOff</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>aca449c48a87741af62c1cc9e3c99e6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowRMBMenu</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>b6dfce028fdd6b9495c3aff6e7dcf59a</anchor>
      <arglist>(QListBoxItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>shortCutSelected</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>af20195368ed03b17720fc9a8a4b82da</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotStopHighlight</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>3214febe49b6d2e807cbf9d9254589d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>a0304c411ed0960c5958d6f85c4dd539</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>ce8835187c9ea731a9411a5ffcabda06</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>dropEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>5cd38e9a5039db1181e6d8c1ba9c5041</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>resizeEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>09571eb8eae8d7371a6b0be157530361</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>enterEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>8ed560383c6c9f3dcff5a97ea6d32b7f</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>leaveEvent</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>36f655f56d6d70d5139a797eab26fa81</anchor>
      <arglist>(QEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHoverItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>d5a8e5f866149751f4f5a0af15d6d2ca</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPaintActiveItem</name>
      <anchorfile>classKontact_1_1Navigator.html</anchorfile>
      <anchor>fecfe8224f2ebf589facf35839fc95df</anchor>
      <arglist>(QListBoxItem *, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::IconSidePane</name>
    <filename>classKontact_1_1IconSidePane.html</filename>
    <base>Kontact::SidePaneBase</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>adb12ac5722aef469417f0ef2bc5976b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>01deb23e65755b8fa2ee8fc2f68a9d3a</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>ca0df4bd2a1be59f56d17da158fb7d1d</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="slot">
      <type>const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>fdc815038225f2ab9f712057b02b3be7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IconSidePane</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>5a7c5a1b063d2e71afb1ca367e961bc4</anchor>
      <arglist>(Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~IconSidePane</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>35d105a2dd6afd934cacad8ea7efe726</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>indicateForegrunding</name>
      <anchorfile>classKontact_1_1IconSidePane.html</anchorfile>
      <anchor>9121b441c872f50fecf318d6731d9c0e</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::MainWindow</name>
    <filename>classKontact_1_1MainWindow.html</filename>
    <base>Kontact::Core</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>9d0312993d6f6952faa99909f33358a1</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>ed1a16d6b52c92decd83c767e8c50421</anchor>
      <arglist>(const QString &amp;pluginName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>a03a4aaaa2cd3006eebf29d23d836a52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>245d0c407ed8f747d6301f0b568db7a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MainWindow</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>3b7acd8b9c232886589322740b78b4f4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>startServiceFor</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e59caf8aa7c4f4f9afb140434a5a2951</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint=QString::null, const QString &amp;preferences=QString::null, QString *error=0, QCString *dcopService=0, int flags=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual PluginList</type>
      <name>pluginList</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>09e30da3689f3a268f9b7ef7bf08f7b8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivePluginModule</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>3e7af5eb0ace947b2999d96455ff593f</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>initObject</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>68d05e0e8c4c7441d884c0eba1bd38a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>initGUI</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e87c6448037f007d8d027328cdab11e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotActivePartChanged</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>649cf55519405ef52d77bdd9fc9762f5</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPreferences</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>2eaa07b7823556fe0591dbb755baf33f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewClicked</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>8ea7de39b52eb77a48012f46d88eabe1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotQuit</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>7eaf9636d16dc5f24e0aecbd76d5a3d2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowTip</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>9fdd649de84e82da5230c7b343cbff3d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRequestFeature</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>ccf5b57c4e951a467ee10e0fac219ba1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewToolbarConfig</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>444f8c6390189959435212cc1a9b5c8f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowIntroduction</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>ec2c6521bd8a7ab1fa8463635b62df5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showAboutDialog</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>43d4ea0afb17b6e59444b81e9acbb7a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotShowStatusMsg</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>dc12b72b3f8e74f9457a1a09e48707cf</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>activatePluginModule</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>6bdb2313b2ef1fed1f0a72a907bbbb41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOpenUrl</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>8ba42525c983b8b8add64c01818745cb</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initWidgets</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>1c781921e41f9220b4f0894e2ce2f3c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initAboutScreen</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>8a89e1c56906e0a087dc064d9e728ed6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadSettings</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>44bc4b6c9b402186a289356b2593f0f3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>saveSettings</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>454843aa9bba1bb772271a8215afa53d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isPluginLoaded</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>47d7f6d02f8312b0ec54b9a26a2a47e8</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Kontact::Plugin *</type>
      <name>pluginFromInfo</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>2046f1f71e053030d5fe5f77b4eb9b92</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>4e061214306fa483f39ade2e6b2ddca9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unloadPlugins</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>658c24b7a31f28f4d1ba6cbf59a9b13f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>removePlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>cc038a1a3eee16b3f6c07df4473323b3</anchor>
      <arglist>(const KPluginInfo *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addPlugin</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>c09b6a119605175b28bea1e0f3adb495</anchor>
      <arglist>(Kontact::Plugin *plugin)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>partLoaded</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>b7a083e704be61ce38c795a423b9e7ac</anchor>
      <arglist>(Kontact::Plugin *plugin, KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setupActions</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>3bc0569a226c47154707a69ec4f00123</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showTip</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>3585a378d546db0638e3d8e737764f91</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>queryClose</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>e9fb09252f9a6d190d7d6c52a3b9f6cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>readProperties</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>7c8238ede545f7eb5557129697d1a423</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>saveProperties</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>c6dc44c0c0061043d8eb3f7b64536b96</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paintAboutScreen</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>7d16e94f358769906fe743919e70eb61</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QString</type>
      <name>introductionString</name>
      <anchorfile>classKontact_1_1MainWindow.html</anchorfile>
      <anchor>316d14d3c8886c8063b09c30968252d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kontact::SidePaneBase</name>
    <filename>classKontact_1_1SidePaneBase.html</filename>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>updatePlugins</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>24760da700305fb898569683517fbe4b</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>e516eb141bb0cf7a9c0ef88376b54184</anchor>
      <arglist>(Kontact::Plugin *)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>selectPlugin</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>a8beb135f4955a42c396db977189d637</anchor>
      <arglist>(const QString &amp;name)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>indicateForegrunding</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>27718f0f6a3ee385b28c884d43725018</anchor>
      <arglist>(Kontact::Plugin *)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelected</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>bc14ff1383e696408754e86aad2165ab</anchor>
      <arglist>(Kontact::Plugin *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SidePaneBase</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>920dce7bc5abf712e5570cd1fb87fc58</anchor>
      <arglist>(Core *core, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SidePaneBase</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>ac4848bf10ba378f18bf2fb8c0793358</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActionCollection</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>032c04d85f6f69ebdca0da38e7798274</anchor>
      <arglist>(KActionCollection *actionCollection)</arglist>
    </member>
    <member kind="function">
      <type>KActionCollection *</type>
      <name>actionCollection</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>5eb554627134767d5e5b8b2c38583db1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const QPtrList&lt; KAction &gt; &amp;</type>
      <name>actions</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>00408e0f1977c8f924185c96b92ad5ae</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Core *</type>
      <name>core</name>
      <anchorfile>classKontact_1_1SidePaneBase.html</anchorfile>
      <anchor>c890977d128cc17a05ffc924a2ba72a2</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
  </compound>
</tagfile>
