<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>Kpgp</name>
    <filename>namespaceKpgp.html</filename>
    <class kind="class">Kpgp::Module</class>
    <class kind="class">Kpgp::Base</class>
    <class kind="class">Kpgp::Base2</class>
    <class kind="class">Kpgp::BaseG</class>
    <class kind="class">Kpgp::Base5</class>
    <class kind="class">Kpgp::Base6</class>
    <class kind="class">Kpgp::Block</class>
    <class kind="class">Kpgp::KeyIDList</class>
    <class kind="class">Kpgp::UserID</class>
    <class kind="class">Kpgp::Subkey</class>
    <class kind="class">Kpgp::Key</class>
    <class kind="class">Kpgp::KeyList</class>
    <class kind="class">Kpgp::PassphraseDialog</class>
    <class kind="class">Kpgp::Config</class>
    <class kind="class">Kpgp::KeySelectionDialog</class>
    <class kind="class">Kpgp::KeyRequester</class>
    <class kind="class">Kpgp::PublicKeyRequester</class>
    <class kind="class">Kpgp::SecretKeyRequester</class>
    <class kind="class">Kpgp::KeyApprovalDialog</class>
    <class kind="class">Kpgp::CipherTextDialog</class>
    <member kind="typedef">
      <type>QCString</type>
      <name>KeyID</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>fb60a185b50e70c531773771e70d0fec</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; UserID &gt;</type>
      <name>UserIDList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>2af54b93dbd1c0e7877041c14d1bb93a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; UserID &gt;</type>
      <name>UserIDListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>eeaf43b5aa4e62566ae5870be3fde7cf</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Subkey &gt;</type>
      <name>SubkeyList</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>25d3f1df5f7ac8658d66b64f81005138</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Subkey &gt;</type>
      <name>SubkeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>38d0790889fc0be1b7258ee4a14b9f0e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrList&lt; Key &gt;</type>
      <name>KeyListBase</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>6c9d2733ed925d51d54350dbfbc4d0d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Key &gt;</type>
      <name>KeyListIterator</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>86bcf2025a0ad1ee2624e68d4150369d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>7a7c6cad8228c4b2cf0637ae76a4b745</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>BlockType</name>
      <anchor>cc24428033b58bcfb9a3117989258d25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>MessageStatus</name>
      <anchor>efb63746d562bb55df4dc14a21e5f8ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Validity</name>
      <anchor>1f9897f4904aee58631734ad97c6306d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EncryptPref</name>
      <anchor>71decaafbc2c9c24b92526ce09ff3f56</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Module &gt;</type>
      <name>kpgpod</name>
      <anchorfile>namespaceKpgp.html</anchorfile>
      <anchor>a46cdf1e673f069a6dfd0045509a99bc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Module</name>
    <filename>classKpgp_1_1Module.html</filename>
    <member kind="enumeration">
      <name>PGPType</name>
      <anchor>8db971ffc16f526755d7511453c1fea7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a177287a1ce6139208544b4b2f64e362</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Module</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>bb307d8cf25bc3371903d06029d2cf79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>cd3db22be0a4c3eab50f7d982d0d9fd0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>33ecc5c8b654fffaf6f108d6819ca469</anchor>
      <arglist>(bool sync)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>47d10bf7a8040036f6c70c6018bfa887</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>8dc6cbbd91dc9a3dcb4e390ca8f73106</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>8043736210bb9a94187c1cc01b501ec8</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>75a863f5e14f40ba81f95d9484b5bd14</anchor>
      <arglist>(Block &amp;block, const KeyID &amp;keyId, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>9dc919397e56396c7704eba9544c758e</anchor>
      <arglist>(Block &amp;block, const QStringList &amp;receivers, const KeyID &amp;keyId, bool sign, const QCString &amp;charset=0)</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>getEncryptionKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>870286da3290170eb6ecab9b165a8209</anchor>
      <arglist>(KeyIDList &amp;encryptionKeyIds, const QStringList &amp;recipients, const KeyID &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>encryptionPossible</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>40d70e2cbb22b3b6a5e7e1df993676aa</anchor>
      <arglist>(const QStringList &amp;recipients)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>4c4968a23055a6bd2f41946ab532448a</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>0597f8cdede5cbec43ebc19b8ee44f53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>d4ee6cb521624ac3942e844cccdd525a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>0efc8ab3c8115743e4a7f9f03bd9f218</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSecretKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>511ee90b216c791c097be5fdda84ae8b</anchor>
      <arglist>(bool reread=false)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>411f5f4cea2c419e11539e481b9338d3</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>6d84ecf30f962bac03be3dfa8c8f9790</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>publicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>3a1ffef8c81f92c88032254a6a225d9d</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>secretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e1c5d4fc15b786babd1dd1680c548cf8</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>809e7c49522facfc8370f6d5fbce1b67</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>657b19c3f8088c47b042987a903a3248</anchor>
      <arglist>(const QString &amp;userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTrusted</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>32fd5592136ba4ff99245db9d3ea2132</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>Key *</type>
      <name>rereadKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5961f8f552cce7c5e12188fbc674939b</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>97c86e328fd230ea5162321be8f8cb9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUser</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>845b6f8d910256521ecd5897ab8b5433</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>const KeyID</type>
      <name>user</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>7f7f8a95f75fadbd6b1ec76670665f1e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>fd773486c17bafed96eaeaa81c636fc5</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>encryptToSelf</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c6b935ce621f5f17cb0db8ad9f77f5c6</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStorePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5f2d94228c3d13e7ff4895e9bb9917c6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>storePassPhrase</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>afc4a3890334e17499f6682da6e6c54f</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>6ea258fe22fc4b1b244dc63d54b2c0a1</anchor>
      <arglist>(const bool erasePassPhrase=FALSE)</arglist>
    </member>
    <member kind="function">
      <type>const QString</type>
      <name>lastErrorMsg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>ccbc08fefed2fb2b3206cee096ecd03a</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>havePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>e591059829103567bb8a2421ad3ebe19</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>usePGP</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b2132d0f415f20bd4f1be26ec0fd1927</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>5a4c8fcdaaebb1af28883191fe602f63</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c03ad5e19374b5c24d073294063b4737</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>cfb34792f39487d2a3c1af83675a31c4</anchor>
      <arglist>(const bool flag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>956f22d5ad61ea6583d9fb345fdcecbc</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectSecretKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>c5061b2ac9e111ddc62a414b73f57c16</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;keyId=KeyID())</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>selectPublicKey</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b510ce095f0923dcda7ac2f10714883e</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyID &amp;oldKeyId=KeyID(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>selectPublicKeys</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>66385081cb2dd37148dbe55f160d50d3</anchor>
      <arglist>(const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;oldKeyIds=KeyIDList(), const QString &amp;address=QString::null, const unsigned int allowedKeys=AllKeys)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>52a8e9d6f6dd738f212f4757ecba8ff3</anchor>
      <arglist>(const QString &amp;address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>b22b71bd6702cd958e9d349146cfb2d3</anchor>
      <arglist>(const QString &amp;address, const EncryptPref pref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Kpgp::Module *</type>
      <name>getKpgp</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>2290fcb87196c32ac1d96f982abf4750</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KConfig *</type>
      <name>getConfig</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>4766119f810a4093f0edc24ec096de46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>prepareMessageForDecryption</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>a78cb2dfc496edaace800bca8ce10568</anchor>
      <arglist>(const QCString &amp;msg, QPtrList&lt; Block &gt; &amp;pgpBlocks, QStrList &amp;nonPgpBlocks)</arglist>
    </member>
    <member kind="variable">
      <type>enum Kpgp::Module::PGPType</type>
      <name>pgpType</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>8ce1e63846e2db5a0ff59c953e0eb40d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>doEncSign</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>037f1723bbf096e35bde978fae46e49b</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipientKeyIds, bool sign)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Module.html</anchorfile>
      <anchor>adf9393ce5f336b62820a7f3d920a795</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base</name>
    <filename>classKpgp_1_1Base.html</filename>
    <member kind="function">
      <type></type>
      <name>Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>b9743c202b84d8a3bfe5684f639ee0c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>8dd686aa9abc0d0ee44392b911ff2951</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e93b8174c8aea85da8207383dcc1bd54</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>be8206c99280296a1c3ca040b5d1d148</anchor>
      <arglist>(Block &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>67a11b498b9559ce37a080bdcfe15d21</anchor>
      <arglist>(Block &amp;, const KeyIDList &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>940c9c487b0bc642e4956d373015fc5f</anchor>
      <arglist>(Block &amp;, const char *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e58ba85c3504a4fcf70acd2ad58b5564</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>ac3d71431428f0cab328c8930afcf257</anchor>
      <arglist>(const KeyID &amp;, const bool=false, Key *=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>031869b0d29e421b6eb9315c1902ea2b</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>57e781fbc2915c289b8877f208b7fef5</anchor>
      <arglist>(const QStringList &amp;=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>275375027368a236b5f9a8f198ef61a5</anchor>
      <arglist>(const KeyID &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>9cf0d5afec447ce78790d45355eb328e</anchor>
      <arglist>(const KeyID &amp;, const char *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>lastErrorMessage</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>cc32527ff38c928f0fddb4a8d6fc595f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>run</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>f572c6cc5f5c2cfc187190adac400569</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromPGP=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>runGpg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>d69618d504dd156f1a4bb559afa5702c</anchor>
      <arglist>(const char *cmd, const char *passphrase=0, bool onlyReadFromGnuPG=false)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>2c079990db16bb4613d7ad3f215f25e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QCString</type>
      <name>addUserId</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>085dae0ad1543b09b2db54d3b57998ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>input</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>5794562f76d8da98a119c8418ba2c1ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>output</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>ffc4bd47d8f5d2133cba38bf6e13ea66</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>ee8102aecc388e1c8320a3cbc2b01f46</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>errMsg</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>03963be3c18d05c851c28a84b2a1220c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mVersion</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>e6c1488eec9f037fbd8e323c49723035</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Base.html</anchorfile>
      <anchor>4de3a28dbbb0fb8ac44dfc7ec4128c06</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base2</name>
    <filename>classKpgp_1_1Base2.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>6b42043a8b99c7706f3b3824e340b05d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base2</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>61fcdd3b80a22c448bd036ed7ea5c2c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>6a5d42f8a1e802f6400c3208815fd009</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>bd6bc7a753de011aa589dd8b377923b8</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>37fef6a3b0cdfef41c5dc0bb2244823b</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>f1a7893967cf55df0f3a8318bdd22e91</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>67f353e2dd44a43c2045fee75623767f</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>e67df9caa92a66b9ff29bdbe100bdc68</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>78c75645f8101cf01f0f44c18b923222</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>ef3bd3e594763f5c63f50012806f3f0a</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>cff461c4d53038219f9295023e9b9d23</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>88601259d34b3cb52143439954f0d376</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyList</type>
      <name>doGetPublicKeys</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>7a1329e10a9c52433858a5616ebb7519</anchor>
      <arglist>(const QCString &amp;cmd, const QStringList &amp;patterns)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base2.html</anchorfile>
      <anchor>8eb2aa51127871b873edd62262c880da</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::BaseG</name>
    <filename>classKpgp_1_1BaseG.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>a992ff2c9e322d9492721a4d4d40aad0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseG</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>efefb383f8bf503f3b90a7f1d81e2101</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>ddad9e955a52cc3bdc4adf441a34863e</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>136ae2340270d946e360a1205c0703c0</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>f1f3177fa396e8d6c133a9910539e322</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>120a425f343cf0f6d16ab46cdce6d6e5</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>e8b4a69c54e9efb3ba13f0bca7e4ed44</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>d342b3652f0b64973df8a796df705d06</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>5863095d64b5754fdb75017f696fee80</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>38fcc5f900943dd5f0994ad814273378</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>4daf509ef41fb777d1526922838d8db5</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1BaseG.html</anchorfile>
      <anchor>551869cd7c9eaa3debae2e8954662c9c</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base5</name>
    <filename>classKpgp_1_1Base5.html</filename>
    <base>Kpgp::Base</base>
    <member kind="function">
      <type></type>
      <name>Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>078d372caf3e771b54376c05febd23c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base5</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>34c5dab7f4cec0058cadc92fbae2c600</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>1a84f28b62eea81c1e64ad55c83ddb28</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a16bcae19209a81b528341faa19fa079</anchor>
      <arglist>(Block &amp;block, const char *passphrase)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>encsign</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>c22498a75848d62ee1bd6179d752fcdc</anchor>
      <arglist>(Block &amp;block, const KeyIDList &amp;recipients, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>3901bc34939d52c6ec8e61c949a2797d</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>1d369d5603b044bcafd6c07f911c89ff</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>ad187cbe89c43919fb76c585e9b5659d</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>405dfc767aa651828f6bf24f60e0bc1b</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>6b4f4db553a2bebbbc3674bebb0b909b</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCString</type>
      <name>getAsciiPublicKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>a7075fb1341bcaea00f16de969830789</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>signKey</name>
      <anchorfile>classKpgp_1_1Base5.html</anchorfile>
      <anchor>b01ea981bac4614e1a4a85595d3dbb79</anchor>
      <arglist>(const KeyID &amp;keyID, const char *passphrase)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Base6</name>
    <filename>classKpgp_1_1Base6.html</filename>
    <base>Kpgp::Base2</base>
    <member kind="function">
      <type></type>
      <name>Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>1241564cfbe210aff430df5c646ac3d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Base6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>a0683319522742f4c09139bde5f5eeb6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>e2a6b764507726a887ba41c083941700</anchor>
      <arglist>(Block &amp;block, const char *passphrase=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>879aaeaabba94052e3dc871fd06b1243</anchor>
      <arglist>(Block &amp;block)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Key *</type>
      <name>readPublicKey</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>e36f5309c27067b483c43be36fe81701</anchor>
      <arglist>(const KeyID &amp;keyID, const bool readTrust=false, Key *key=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>publicKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>ef5930ec0be639dd9e390f8b8e69d5c6</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>secretKeys</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>6aa82414a4b5fbbcc278740c3a2a78f8</anchor>
      <arglist>(const QStringList &amp;patterns=QStringList())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>isVersion6</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>fb213579ea5fa47441f7256a01311e22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KeyList</type>
      <name>parseKeyList</name>
      <anchorfile>classKpgp_1_1Base6.html</anchorfile>
      <anchor>cda0b90f60f6fc1705ee2703a2afa32d</anchor>
      <arglist>(const QCString &amp;, bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Block</name>
    <filename>classKpgp_1_1Block.html</filename>
    <member kind="function">
      <type></type>
      <name>Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>b6bdac2fb6debeef5a4db67a81eb3774</anchor>
      <arglist>(const QCString &amp;str=QCString())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Block</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>2398a53a7d818b2d955c0af7b1305280</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>6c6e042928e2691e789a872baa1c0191</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>162922c8a3cc0e7743475222c0170e51</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProcessedText</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>fcea8723b90768330d665427f41261c7</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>status</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>1036ca35c8f33fd1f02b69ce416575c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>5a4ba7219623453450d78d0018d98ec8</anchor>
      <arglist>(const int status)</arglist>
    </member>
    <member kind="function">
      <type>BlockType</type>
      <name>type</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>f1f016afb48669b95a54a6a2c8175f46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEncrypted</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>dacc964197df111a75a704c728c55dc1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSigned</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>851dfe60ec1c877770b7382fec4e2a09</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>goodSignature</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>79c4d7f4ee86fba55fa2f44e7854ac00</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>3d6d430ca862397b418a92cec26a2c9c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>e94cecb3f9128152a7fa14ec65dea0b9</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>e39ab96fd5e9ff7d4d2207f78aa41343</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureKeyId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>7a0d9c8b660e3a8adb93ce09f6ed76d3</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>6260cb838425aa23c86c651aae8be3d6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureDate</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>0aef2b20587bb26123717925f45755b5</anchor>
      <arglist>(const QCString &amp;date)</arglist>
    </member>
    <member kind="function">
      <type>const QStrList</type>
      <name>encryptedFor</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>40d2d32828e321ff23a717c7fa6f13cd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>f23bf5e6d6fd9fcd30979cf666461e7f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredKey</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>5676305adb40f8b9f6d010369e0cc6fe</anchor>
      <arglist>(const QCString &amp;keyId)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>requiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>245c86c5eb03a16f4ad89f24354823ee</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRequiredUserId</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>75536049683df9193b76b4eae34a43c0</anchor>
      <arglist>(const QString &amp;userId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>error</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>bcff3ed30eb2fe17f053f740156a783a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setError</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>bad47c096c09b3221a761ed689f259cf</anchor>
      <arglist>(const QCString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>e20d246df6687ae1e97a779cb82cff14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>decrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>ba7ca918e53c1386a73c1e2f1326963d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>verify</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>374ff1c5aae530d780dc6da428ec956e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>clearsign</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>f62288ae32c3df2bed6be24c0681e944</anchor>
      <arglist>(const QCString &amp;keyId, const QCString &amp;charset=QCString())</arglist>
    </member>
    <member kind="function">
      <type>Kpgp::Result</type>
      <name>encrypt</name>
      <anchorfile>classKpgp_1_1Block.html</anchorfile>
      <anchor>a022f7d9c895289b89879e9175908abd</anchor>
      <arglist>(const QStringList &amp;receivers, const QCString &amp;keyId, const bool sign, const QCString &amp;charset=QCString())</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyIDList</name>
    <filename>classKpgp_1_1KeyIDList.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>9258f186430e513447768ea57c81562d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>91190eb96828ec7408b940b6a107ba21</anchor>
      <arglist>(const KeyIDList &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>6d72c746ecfa27f6dd2ec768f1888775</anchor>
      <arglist>(const QValueList&lt; KeyID &gt; &amp;l)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyIDList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>044c0a5bac2fdbc299c6d575ef7955f3</anchor>
      <arglist>(const KeyID &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>toStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>b1baff9d47112b1dce69b146654f4ad0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KeyIDList</type>
      <name>fromStringList</name>
      <anchorfile>classKpgp_1_1KeyIDList.html</anchorfile>
      <anchor>20663634a1a6855c8d12fdc94cc75576</anchor>
      <arglist>(const QStringList &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::UserID</name>
    <filename>classKpgp_1_1UserID.html</filename>
    <member kind="function">
      <type></type>
      <name>UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>d6e0f50a8843a04a73036a7dc042173e</anchor>
      <arglist>(const QString &amp;str, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UserID</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>572651c89790ccffae37153532571231</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>eea278ebdf98f3542f396b22880ce4a7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>1b57df971084cd902cce1e40f47720bc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>6f2da10c443f8c6c0885c82d792986b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>validity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>9fba2a9a6acc745fc51a74093fbaf708</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>544fd0741950bf71516bb81cea593115</anchor>
      <arglist>(const QString &amp;str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>d4dddf73d6711fa44a0a988e0f2c1409</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>bf15ece381a1a354367cee6ce9008b74</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>5010afcf444964c74365d9928b12341f</anchor>
      <arglist>(const Validity validity)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>0bdeb2285e1856ef05ca8d98795e0d51</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>b334f6e5f01bfefae8bb6bc42a5ce34b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Validity</type>
      <name>mValidity</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>6631b5ebc7e831a7074c0955f835914e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mText</name>
      <anchorfile>classKpgp_1_1UserID.html</anchorfile>
      <anchor>1d80113f85e73151cc23921db21856d7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Subkey</name>
    <filename>classKpgp_1_1Subkey.html</filename>
    <member kind="function">
      <type></type>
      <name>Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>a0f4f38396a70b2f996d565f99d6005c</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Subkey</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>e59fffbc37634eaa1f037a54c87d0751</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>f7f6926a27b255427e60bff7817c3b8b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>34335e3a2dc4306b79bf673a5eefa8e2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>7b164d11aa0887938e79233de59c2db9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d9de8ce969f7ef094de5f7bab5db6947</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>137674623010405a9c9544038e612085</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0eb9cbd1e49f11f78cd51ac096481638</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>65204828ad49de59503ecd873606b540</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ea6a1bc9e93c957857dc0ad2ae9b0862</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>26c90d6d3f27fdc07f164372e2e8c36a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>keyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0014ae640d22d3f8ef12dbd576a1560d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>longKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>68cc70df05eafe86237d38fafafc5c72</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>keyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>897e000cfd3160c8898c5601681ddfb0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>fingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>ad9380982da1eed7f5c4ed80b2b265c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>7a36f26119f26a816c30cdbc7caddc74</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>expirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>fff6784cb921937b5e8916c981800505</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>9de3a893abb03173e88e483da2caecfa</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>31ce4a32e444d1eb7e7576310a932c4a</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>e38fd2c6b25829dd29e500efc31fcb6c</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>c9abc4e29ced267f78a8a953cda9abf7</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>08e1278b5db62efc4ed0114d31d053ea</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>d2ee16ac518b7e595e02bd84423e5508</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>684c0ba5255b6fd32ef55c629bcbae2a</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>f2d94d1948634ca1b2f9765ea8ddef09</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyAlgorithm</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>66405d18fe98bf92c06964ec7181ae18</anchor>
      <arglist>(const unsigned int keyAlgo)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyLength</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8040119908520134cb70811d857fd5b6</anchor>
      <arglist>(const unsigned int keyLen)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>1374d3f0da51548b579bc45d3d853c11</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>06c23a4b5870c467ad40780de5d79eed</anchor>
      <arglist>(const QCString &amp;fingerprint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCreationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>b4620e2baff0dfa0f7cc4164f5c9c6b2</anchor>
      <arglist>(const time_t creationDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpirationDate</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>637de06f4480587a618d38c090b6f47e</anchor>
      <arglist>(const time_t expirationDate)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>796a423fcc7dbee94739b596799b2da6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>6b4f21b91d6621e814be91dd61680958</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8b3bf1852f2c2905287425431e6a9d00</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>8623c224ccdf907aed9e25b80e4b9f65</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0d99b738e235569c3632c765c9c244dd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>664e7f555a9459b410f1195e5dd76bde</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>2fd344c813ac45fdb1143ae637a4f15f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>57cc4d5f86352e9bc2a16d88e834fa23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyAlgo</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>185285ff98c8817dfd20c4a62f7a6c20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned int</type>
      <name>mKeyLen</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>82a9e24397270ead76572b60267623e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyID</type>
      <name>mKeyID</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>005ede046827b24360c42ff3068da7aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mFingerprint</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>6a1affc58e6fba51c86dac055b3ae69e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mTimestamp</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>0035adc115eebedef79efe971d667a68</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>time_t</type>
      <name>mExpiration</name>
      <anchorfile>classKpgp_1_1Subkey.html</anchorfile>
      <anchor>32244cb3ec7f9d43651e9ffce7d42654</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Key</name>
    <filename>classKpgp_1_1Key.html</filename>
    <member kind="function">
      <type></type>
      <name>Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>7edf697e3949f5e17c571321d2fda9fc</anchor>
      <arglist>(const KeyID &amp;keyid=KeyID(), const QString &amp;uid=QString::null, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Key</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e46e5bee59566523c7e4dcec838cc466</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>5290b1e4fee01dacba8c1766ccbe98fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>b9fc2b351342af6cb35bf44b0c2119c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>revoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>75059d5e227d3fc8e94c7e728130f66e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>expired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>5e707434f815619d6a0b5cd66c2157ba</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>4831c2ba23839c2190daa0d62b5d214f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>invalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>99a60e8425b0c6f7f8696be1ed2d63ea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e0b52dd5caa3031288d2fa1a1ca57632</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>fb672f3b86801254ce1934837d54ecc2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>canCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ae7dbe76b56091bb1c9eb264d753aa1e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e68757f1329094c09b71368235b6bf41</anchor>
      <arglist>(const bool secret)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>1e8497d87011756c342f957a87abf4ac</anchor>
      <arglist>(const bool revoked)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>784ccb33c353a4a592e74321c7e34bd2</anchor>
      <arglist>(const bool expired)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>8e577f1f593c7e2a4de77bdadbcc43c7</anchor>
      <arglist>(const bool disabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>5046b91158afeff4ff253edf995c5eba</anchor>
      <arglist>(const bool invalid)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>4d9a67c35c5527e721d454171ab352d8</anchor>
      <arglist>(const bool canEncrypt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ed76ba7f04e33663c0464c15286c046f</anchor>
      <arglist>(const bool canSign)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>0e70aa4cde4f2c25087c2b0f619c2571</anchor>
      <arglist>(const bool canCertify)</arglist>
    </member>
    <member kind="function">
      <type>EncryptPref</type>
      <name>encryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>6d6f9e6beb8834981e1464733b59f1b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEncryptionPreference</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>a886de626fcd908f8e1d8bc2e6e7800a</anchor>
      <arglist>(const EncryptPref encrPref)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>primaryUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f98db286b75cfd5aaea5f9336a3d9b2d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KeyID</type>
      <name>primaryKeyID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f9b008c3f093a7898d0bcc72f8d9746a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>primaryFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>7cdb11fc786296b2689b7c6e527dfb0f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>7b90003cfca4c43f1e4ccfe8cc3ecf84</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>time_t</type>
      <name>creationDate</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>cbc002aee444b37ff7db264914cdae10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>d60608519dad93508ce39b3f2438e4e7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Validity</type>
      <name>keyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>85e4d50aac56f94b4b40e45ae203a15e</anchor>
      <arglist>(const QString &amp;uid) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cloneKeyTrust</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>92df6a91b85b3cbb85f95471bd7ad7f0</anchor>
      <arglist>(const Key *key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>990f0f97cf82fb4fb2ee7a3b859ff3ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidEncryptionKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bf4badeb992f337d6a75834acbd19b0a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValidSigningKey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>0e3cd2c6d7a8f81c8e2becdb360474b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const UserIDList</type>
      <name>userIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>bef6b8288e2ad86bac391659b0e78d90</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const SubkeyList</type>
      <name>subkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3536c13538c44fc4d13e76a4aa5c2edc</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>73375b3cc5abef861ea06d74811b4c8e</anchor>
      <arglist>(const QString &amp;uid, const Validity validity=KPGP_VALIDITY_UNKNOWN, const bool revoked=false, const bool invalid=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>1c8a645759346f12a4fc6c417107f9ed</anchor>
      <arglist>(const UserID *userID)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>matchesUserID</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>09db43c992767ff4ff645f7422473a41</anchor>
      <arglist>(const QString &amp;str, bool cs=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>ac14b77af75a397f9f308f09543a1e0b</anchor>
      <arglist>(const KeyID &amp;keyID, const bool secret=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>2143546f3ab18fb8cc48c1a3c16c7d63</anchor>
      <arglist>(const Subkey *subkey)</arglist>
    </member>
    <member kind="function">
      <type>Subkey *</type>
      <name>getSubkey</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>4c99bcb1fa9050d1a269947e540cc587</anchor>
      <arglist>(const KeyID &amp;keyID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFingerprint</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f20ce86292e225b26a604140972bd5d8</anchor>
      <arglist>(const KeyID &amp;keyID, const QCString &amp;fpr)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mSecret</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>38505797a0de70fdbf6aecb0c45ea43e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRevoked</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>f36d7065b3be25010afd2538508f4dd2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mExpired</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3462b5be22bb6f1d9fe277d9d7c82165</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mDisabled</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>767b4cc156a9486ceec83eacdda73626</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mInvalid</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>cce600519f01e191230fdb3b81f3fab8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanEncrypt</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>01418d0f2a45c1f07495381b9a61ba54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanSign</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>e426ba796bbdeca67c23fe50f9178712</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mCanCertify</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>9dc9a55613e24884fa7d427681f9523f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>EncryptPref</type>
      <name>mEncryptPref</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>49574b9fb19bc47a7e9bcc23528394bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SubkeyList</type>
      <name>mSubkeys</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>19f90251c505447898aa67d6ad97efd9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>UserIDList</type>
      <name>mUserIDs</name>
      <anchorfile>classKpgp_1_1Key.html</anchorfile>
      <anchor>3ba52c53af3682e6a48c1143dd63eabb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyList</name>
    <filename>classKpgp_1_1KeyList.html</filename>
    <member kind="function">
      <type></type>
      <name>~KeyList</name>
      <anchorfile>classKpgp_1_1KeyList.html</anchorfile>
      <anchor>7ae79caa5d1a91e1643a84e7a418803f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PassphraseDialog</name>
    <filename>classKpgp_1_1PassphraseDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>bf75d4d27882b98456696242b4002c6a</anchor>
      <arglist>(QWidget *parent=0, const QString &amp;caption=QString::null, bool modal=true, const QString &amp;keyID=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PassphraseDialog</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>468ee610c5443b5c63d5b657dd3b88f8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>passphrase</name>
      <anchorfile>classKpgp_1_1PassphraseDialog.html</anchorfile>
      <anchor>d9b008cc1cadcef17b67836dc0d84b6a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::Config</name>
    <filename>classKpgp_1_1Config.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>693364efd7a88867820a95107de32e88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>3506afb586db5376c7af5dceaae5982a</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool encrypt=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Config</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>b129423fb5cb2bc06faa9dd5bcda254f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setValues</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>4d434af14906e24b202bedf4a669a799</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>applySettings</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>8ac5b3c9bb2c96e0afeca8f907ac2001</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QGroupBox *</type>
      <name>optionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>fdbc95762dc8f24135c1002b68e291f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Module *</type>
      <name>pgp</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>d5fec1fc1f9dfcca205f08b9719c6e45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>storePass</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>0e4cf173128f476eb83dd053cd705452</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>encToSelf</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>18b0abe8ea2398214104875a8bde08de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showCipherText</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>39a238e365d6de74c93525a861bc21c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCheckBox *</type>
      <name>showKeyApprovalDlg</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>2c90bbd370bfc70317f228cad33906aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QComboBox *</type>
      <name>toolCombo</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>ff2adb4ad40b40cad43df6577b1bb0ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGroupBox *</type>
      <name>mpOptionsGroupBox</name>
      <anchorfile>classKpgp_1_1Config.html</anchorfile>
      <anchor>221f78829dc31d5e1940282b962422cb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeySelectionDialog</name>
    <filename>classKpgp_1_1KeySelectionDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a93c18805f6b7f89f892550e919f3b20</anchor>
      <arglist>(const KeyList &amp;keyList, const QString &amp;title, const QString &amp;text=QString::null, const KeyIDList &amp;keyIds=KeyIDList(), const bool rememberChoice=false, const unsigned int allowedKeys=AllKeys, const bool extendedSelection=false, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeySelectionDialog</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>3c952399196a42b695a83f6f5b043cff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyID</type>
      <name>key</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>94b350f2bdb28b4506df7ff16f60fd6a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KeyIDList</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>5f4bfaab7d670c5fbfa920827c8819ff</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>rememberSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>fe12a5ebad735d384ef03d0e131c5c88</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRereadKeys</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>2a4b6fdae4090b73f2913d86636c4f3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>2d8ba8a524076c8406589d9063b7e93b</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSelectionChanged</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>a33908a880e3cff0b014e374cf063d4c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCheckSelection</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>70fc183add4c67bba66d3ca6ef487d36</anchor>
      <arglist>(QListViewItem *=0)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRMB</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>fe1074a3cc5d72e37e1e62ed521736cc</anchor>
      <arglist>(QListViewItem *, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotRecheckKey</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>910bce6b6d881d5a7f9fda2afdc72087</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>b10d034245dd7d4630ca4342ad3bdce9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>129f71ad725cc8633501d32c3fb54cd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSearch</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>5ffdc416b7d88a8442f7a1fa7b39e37c</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotFilter</name>
      <anchorfile>classKpgp_1_1KeySelectionDialog.html</anchorfile>
      <anchor>b5181bd0ffbb3ad3c1c03b7dd0fc0379</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyRequester</name>
    <filename>classKpgp_1_1KeyRequester.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>1f6fad295f36510df092bff6412258b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>822a21aa97ac834341709feb9c616208</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=AllKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyRequester</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>dadf025f4ef14656855f697fd000f0ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KeyIDList</type>
      <name>keyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>13270c7a4abd60b2d6f7675cd5d5e418</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKeyIDs</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>cc5b12c9ce3ed2d41d39dc1093fb816c</anchor>
      <arglist>(const KeyIDList &amp;keyIDs)</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>eraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>27f325d9b7b008a37ab822b45e700b30</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPushButton *</type>
      <name>dialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b361d287d2bb44e6d4e2d9ef3dca857f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>e50b92757109ad8fcad41cd72c0e559c</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b434119a98e5d0c870b28a57d58232f5</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a0bee2cbb9645ea7b1d49e8731f14a0e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMultipleKeysEnabled</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>0199cb94e533b14f9d0a4c09e2bed7ac</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>allowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>c8fa89a5351cb390c45ba341e21927be</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>fbe0d84ef703c6753d9bae84ccd57751</anchor>
      <arglist>(int allowed)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>0f626b6dd5dd9a14f3cba68b9e1c2a85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEraseButtonClicked</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a4183ba5f31f2f30ccaf60446d48fec4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>82665d660f9ae5b89a25f5715b1266eb</anchor>
      <arglist>(Module *pgp) const =0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>b406765aad994a4c319c572a73e23bfa</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QLabel *</type>
      <name>mLabel</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>de8c28c151dcb2072dfa3ec6eebdb74d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mEraseButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>df57b0b18f281b50ab1918d20dc62ffa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QPushButton *</type>
      <name>mDialogButton</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>fe6780f18e9670d8d6f443e490fa4bed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogCaption</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>38064df1eccc030a335dd3ff303cd050</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDialogMessage</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>9ca5c37ba2f85bea9923bf12bb55689c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mMulti</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>df03f8b389a2b3bebd643a68c75ba434</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mAllowedKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>7dfc035936a0434909d072f2fa6cefe9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KeyIDList</type>
      <name>mKeys</name>
      <anchorfile>classKpgp_1_1KeyRequester.html</anchorfile>
      <anchor>a6fec052f67b4386bcab3575fc69adf8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::PublicKeyRequester</name>
    <filename>classKpgp_1_1PublicKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>2db85693b3f690d0f2abc04258b4de4d</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=PublicKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PublicKeyRequester</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>db598dde414e658382a3e636fd7c9673</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>80baa51246b9f3b240f4f59fa20bf260</anchor>
      <arglist>(Module *pgp) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1PublicKeyRequester.html</anchorfile>
      <anchor>579977c0bc3a06762d02901f631d24df</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::SecretKeyRequester</name>
    <filename>classKpgp_1_1SecretKeyRequester.html</filename>
    <base>Kpgp::KeyRequester</base>
    <member kind="function">
      <type></type>
      <name>SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>bdb3a94a54dc08db918e2a74725edb95</anchor>
      <arglist>(QWidget *parent=0, bool multipleKeys=false, unsigned int allowedKeys=SecretKeys, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~SecretKeyRequester</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>89f24ce7bc337c829fff4f5c4b23ce38</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KeyIDList</type>
      <name>keyRequestHook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>ba6421a8b96db1ce996071802f465d60</anchor>
      <arglist>(Module *pgp) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKpgp_1_1SecretKeyRequester.html</anchorfile>
      <anchor>bfa8215c5628631a655e312621c83cea</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::KeyApprovalDialog</name>
    <filename>classKpgp_1_1KeyApprovalDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>b6c7c6e1fab54d819accefefa7380f61</anchor>
      <arglist>(const QStringList &amp;, const QValueVector&lt; KeyIDList &gt; &amp;, const int allowedKeys, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KeyApprovalDialog</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>8173d983c1bc15723bef0f0f44356723</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QValueVector&lt; KeyIDList &gt;</type>
      <name>keys</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>b6abf5e312d1f901866824ef60217200</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>preferencesChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>535d156a305e9d50d6c3e445011a7255</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPrefsChanged</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>30d7e1d0c048d28fabdfd573e661ce2f</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChangeEncryptionKey</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>350705a73967c763eee8ae273e3d73f7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>5401f32941c56350da965b8141d1d5ca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotCancel</name>
      <anchorfile>classKpgp_1_1KeyApprovalDialog.html</anchorfile>
      <anchor>dec9161f634a0cd3a9cb177c89d5f943</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Kpgp::CipherTextDialog</name>
    <filename>classKpgp_1_1CipherTextDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>07a5b8f405532fa8ae6c2af29b1c206a</anchor>
      <arglist>(const QCString &amp;text, const QCString &amp;charset=0, QWidget *parent=0, const char *name=0, bool modal=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CipherTextDialog</name>
      <anchorfile>classKpgp_1_1CipherTextDialog.html</anchorfile>
      <anchor>26a5534317edff3ea7351109d2868aca</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
