<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>KPIM</name>
    <filename>namespaceKPIM.html</filename>
    <class kind="class">KPIM::Signature</class>
    <class kind="class">KPIM::Identity</class>
    <class kind="class">KPIM::IdentityCombo</class>
    <class kind="class">KPIM::IdentityManager</class>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>48e3e9b4df3fa5f86f23ba6be1b0c1f9</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>e451100c841b08509df8398b2afbd5ea</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>ca5c354abe40ac9bbdd22129149fd1e8</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;i)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceKPIM.html</anchorfile>
      <anchor>69d749d0091f7246a95addd19636fa35</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;i)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Signature</name>
    <filename>classKPIM_1_1Signature.html</filename>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>1ac608ad2b2d38fe103fadcb71e5a945</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>2be2c49d5810cad3a52c85a5570bceda</anchor>
      <arglist>(const Signature &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>0f0b72bfbe8c35aa094f3da003371f58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>2cbc5d3b7bd57fe0475f8603980c1a7b</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Signature</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>726113219de969ef113e6f2a445e3bc0</anchor>
      <arglist>(const QString &amp;url, bool isExecutable)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rawText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>12d9037ab24e0380af64232a1e576fa2</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>withSeparator</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>cd8835c5ff0b2558102daa15367794ad</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>f42116cce87791901dd2f35df2fa7662</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>76f73531e24679f20fdaa49d28a81e16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUrl</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>2856383910f8fb5bb64086af1c8640b1</anchor>
      <arglist>(const QString &amp;url, bool isExecutable=false)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>url</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>e30955b65224726d9873b81e1d2a42d7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Type</type>
      <name>type</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>25fe88d0ec33a6888e1bbd8578a67404</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>76e23c5cc35978e843e96c9516d0e99d</anchor>
      <arglist>(Type type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>100932e4aefe25252f665857ca26a183</anchor>
      <arglist>(KConfigBase *config) const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>ae6ec6569bc7d1b03f651ca6c1849e41</anchor>
      <arglist>(const KConfigBase *config)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>ecbf550ab461011929a84ed7e6cfca7e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>91ffabd43c9e62b0c9e49f25ccc840da</anchor>
      <arglist>(QDataStream &amp;stream, const Signature &amp;sig)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Signature.html</anchorfile>
      <anchor>6fc34d6f2f39c37dd790d867e52e59ef</anchor>
      <arglist>(QDataStream &amp;stream, Signature &amp;sig)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::Identity</name>
    <filename>classKPIM_1_1Identity.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;</type>
      <name>List</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>da7d412006e069e9502c939b55a92e43</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>45c51143ffde7397be88eae68dbbb077</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>545d6125d26fd5e3823cb295bb5bddd5</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a649ad865ecd496b5c4c024546d6d815</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>7d4ac8755c83c445ea4b194199589408</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3f91f90afe75270abc97333546ec476d</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&gt;=</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0e907bedef9981fbcdacb927004165e4</anchor>
      <arglist>(const Identity &amp;other) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>57ab956314988636534eea7e2e818d57</anchor>
      <arglist>(const QString &amp;id=QString::null, const QString &amp;realName=QString::null, const QString &amp;emailAddr=QString::null, const QString &amp;organization=QString::null, const QString &amp;replyToAddress=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Identity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e27581f619eaf0993149e68f97a36207</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mailingAllowed</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a5f44b128b1da04415764ffa29a2c8ba</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>identityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cfe7fb8b92468d7185940fb515e855c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIdentityName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b79e5dc6d261047174a07076c84b2518</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>7d3460c8bafbd01194e9c9cb7c234c64</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>uoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0e70c0a8d78f70a968523d5d850ea531</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ecc92166949c4b62b68a954f6f9a0e87</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>99ae13be489f3e95fb7400bf7d449f36</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>organization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b872770bd76377d2660ea929d72db032</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2e11b817fb273f95a337444a19358972</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED QCString</type>
      <name>pgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>39a4e2ba91b77e41ef103f74b064e7b5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDE_DEPRECATED void</type>
      <name>setPgpIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2431c4338ba59bf25c67d1c63a473963</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b6b0f801441b411339b514803f7b7090</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6c9d8f065b1e0473cacc3c5151baba8e</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>pgpSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d6d6c2dc656e1d1dfe1b9a50ca646079</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>22f2aaec8131320408463ef36eff7f03</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a054ea226052f3434996b0bb16ac8e26</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ca92d0cd8903e5ce2568fc977d8180ab</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>smimeSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>da2f341516ceab16e630cef17d248f16</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b61c3a5bf3164abd74efd867a205dadf</anchor>
      <arglist>(const QCString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>Kleo::CryptoMessageFormat</type>
      <name>preferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a1f86d4bde69a1093031bac90e274be0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>437f4303c22430dbd68153db5ec80bb4</anchor>
      <arglist>(Kleo::CryptoMessageFormat format)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>emailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9a16e57c8c43cecdd5c9382bc244cb65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>68f46ab9daa2bd00aeb4c391b3197c4c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>vCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e6a4867f37f0c1ff7bbebfb058d66b28</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>4e0c082e8ec277125066a6c338998546</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>42e2974cbe9421a3ea0b677233b004ec</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>aba877532f19f6b31ceee8c242ce735a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>67807cac79fcb74022125c54be4d0495</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>bcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d71dec75830f2a4b7d025096aac7ca1e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>372b7137e1160a6b85a510b40931ab37</anchor>
      <arglist>(const QString &amp;aBcc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>210f4b7a04d5a93875a5ba89c373b382</anchor>
      <arglist>(const Signature &amp;sig)</arglist>
    </member>
    <member kind="function">
      <type>Signature &amp;</type>
      <name>signature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9c25798076893f4b22a73e761554c616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>signatureText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>cc65f43dd9c87951aff183cbfce18878</anchor>
      <arglist>(bool *ok=0) const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>transport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0e699966eb583f607ee6bc8f6a903c0f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3fe42e1bd5218edf38fd1eb14293d885</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d18d68992a26077a792eee3b4fe01c3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>0751419c23b77886ea7e96639e7ca2fc</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>drafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>020860a3d8cb74bb3d816574fb33453c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6b169e650c021afed8301107a40d8a0e</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>templates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a62544065c5cb7b93a302c66d8d6a67d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>013883a2359c49dff42fa95404e32c09</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>dictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6dd161c93587917f52c80057a0187d4e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>8e3348b755823c8a0e2c686f311de703</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>xface</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5a356c994a7fe0ed482e3fbe60f0383a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ee3a9173af1a6289506683363f467c0c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>97a67fd3086ca4d67f5bf9d055566af8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ed1f3762d235a2963bb85c29b0061dba</anchor>
      <arglist>(const bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5ec41dfc12207c319b0bb97c87f5c294</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const Identity &amp;</type>
      <name>null</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>56b691c3c7b0a1d1c2a8b67acf935e4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>00de45ad5d67320c3dbb9615a2c9729d</anchor>
      <arglist>(const KConfigBase *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9e6514987051fc33246595f2ff503110</anchor>
      <arglist>(KConfigBase *) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a226f42917109de8e8949e91a647bd8b</anchor>
      <arglist>(bool flag)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e023ab247547e4bd33eb5d7aedd3e74c</anchor>
      <arglist>(uint aUoid)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsCommand</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>5a8135cad8799b42d07db9370f9ef327</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsPlainFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ccaf455649ba61f90d3a6e552cd345dd</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>signatureIsInline</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>2f0a1494b70c3063365d737d443d431b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>953c09fccde72ec9eaa73a920cf2541a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d2b33180e734726b728d7294188fb311</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>signatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c78fc471894bcfceb5b1cee619515d0e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSignatureInlineText</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3c76d16e78bba302be0fe5c6f757e065</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>useSignatureFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6e03a1b8c0c15a884a5657317d208de7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>mUoid</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>489dd4a14bad7d48b709050a56abbd12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mIdentity</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>a8e5f77ae7084953a855d91e03ed5c20</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFullName</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>6e0f43e017872c603990910cfc2f2cbd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mEmailAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e95111cda73448e18ea6829cdc6ffe13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mOrganization</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>935c90130945836669d1741fce817d5c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mReplyToAddr</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>493b4cb4b403fb2295f3f68d98ea1e39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mBcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ac6342adb9cbadec2fdbaf695282aff5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mVCardFile</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>e65823acbba12520e5cc2ece92e35b4c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>9754506e5e0189b02b74bae26977aa8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mPGPSigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>375fdbc7054ddeb0f51d6a5e8a05b6d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMEEncryptionKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>66e7cf55bd5717aa0f2d726b9e0c0d94</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QCString</type>
      <name>mSMIMESigningKey</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>b0fc8ca8e5d88e367c68b1e8e4be6d91</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mFcc</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>114d7c5ae34e65f71dbf28ab967b6183</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDrafts</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>63624b5e3d35e6a4c659df4fa307571d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTemplates</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ce1af1249938256b1b9a6645c2425ebd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mTransport</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>90875ab86256f6bd321ef9c6d5307344</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mDictionary</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>3017b68f6a10692e6017fb475e32d3ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mXFace</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>24df567f3409383ad24463f9975703fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mXFaceEnabled</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d77739a4060431b39672258c1696a00c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Signature</type>
      <name>mSignature</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d1471a83ba6735b0962c786276dcf519</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mIsDefault</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>d4a96600260054e895fa5dc1855f4359</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Kleo::CryptoMessageFormat</type>
      <name>mPreferredCryptoMessageFormat</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>c95926f29cd170bdb718fc8e8164bb16</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>934921952aa3fa0eaf7223b86168a9f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>ea2dbf91ae0759921e9ca980b2519629</anchor>
      <arglist>(QDataStream &amp;stream, const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classKPIM_1_1Identity.html</anchorfile>
      <anchor>968b0f4c7a338c6f36db2faa12b2c5cf</anchor>
      <arglist>(QDataStream &amp;stream, KPIM::Identity &amp;ident)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityCombo</name>
    <filename>classKPIM_1_1IdentityCombo.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotIdentityManagerChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>dd24c76cf734633e810eff7b4a2f2cf4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>c071b1015d6ad48c5da72af7a9e5e840</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>identityChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>977a57d55a1614c0834a26b0b3502148</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>bf59264f8c3e2e6478920910002ee09a</anchor>
      <arglist>(IdentityManager *manager, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentIdentityName</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>7f27223407d1af1f9764bac88cbd1b81</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>currentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>5fa4a4511e796a5c32d9cb2d297f1eb7</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>4158431a08235835b36515e406b11789</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>016d30d7d27ba8d52844df9dec420377</anchor>
      <arglist>(const Identity &amp;identity)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIdentity</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>05f80603db76409ddd1ee19aade85cc6</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEmitChanged</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>4f9d374911582d7a4f4d3948eea8c2f1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadCombo</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>d7767d63369260447f536f365f5b2902</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>reloadUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>3d5a214d9df17db3b8140f6696898c65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; uint &gt;</type>
      <name>mUoidList</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>0eaace9833038407d65487b6200e943f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>IdentityManager *</type>
      <name>mIdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityCombo.html</anchorfile>
      <anchor>81050d92e8ad5b7f3803c64010f3756a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPIM::IdentityManager</name>
    <filename>classKPIM_1_1IdentityManager.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::Iterator</type>
      <name>Iterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>d414839d68108ac17deacd3b37af4b3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QValueList&lt; Identity &gt;::ConstIterator</type>
      <name>ConstIterator</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>cc0bf2b626b201366807510829636a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>cf5bd2af611eae3056fda41c78b43d58</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>1fb142e7e2a9de6a0e8317559b7dff7e</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleted</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>162e7142bd9f8c9f62391151f8b78cc9</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>added</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>fd7a3e1babb4349cdabf47728997dffb</anchor>
      <arglist>(const KPIM::Identity &amp;ident)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>slotIdentitiesChanged</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>741c6a7e7b25564a56e8a2a48021adce</anchor>
      <arglist>(QCString appId, QCString objId)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>f2204b696fc1c1f3c662c75d49cd097e</anchor>
      <arglist>(bool readonly=false, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~IdentityManager</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a591e8866aeec89e6cf3be576480cacf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>commit</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>b9dae197c556553728c3524843679dc0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>rollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>cee0b54161fc4c0076555aad0dd21249</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasPendingChanges</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>4bab9af94bcab09e73718c4fa713598f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>identities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>8455cb31f0743b00f8563dcf217f88d5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>shadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>fc2703072bbd47bdbfa42ee766e5e2fe</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sort</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>540e2220e36d9781f623064df4659ec4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForAddress</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a37c849907a1cad6a7fde8479f5ceb23</anchor>
      <arglist>(const QString &amp;addresses) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>thatIsMe</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>8021cdad3e9dd9a8cc9db17987220653</anchor>
      <arglist>(const QString &amp;addressList) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>8cd6731b66a5537c768f4773cfb6054b</anchor>
      <arglist>(const QString &amp;identityName) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9ffbb3b1dd775c3f6b5083edc5dea4a5</anchor>
      <arglist>(uint uoid) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForNameOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>9a532fadbd97d409f87f2dd498cdade1</anchor>
      <arglist>(const QString &amp;identityName) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>identityForUoidOrDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>6838e95b4f62ff4d40638f0524fe3e8f</anchor>
      <arglist>(uint uoid) const</arglist>
    </member>
    <member kind="function">
      <type>const Identity &amp;</type>
      <name>defaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>a0fb6deaaa7f3aae79104d5d571a3e2e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>22facd1f92c81e2e24272bfe2d1bb77f</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setAsDefault</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>08771bd9fd7bc1d987fce5a73bcf046c</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForName</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>6913cae37b9afa5526940a455a7e35ec</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>modifyIdentityForUoid</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>0f065bf3d8cf9060a493ca0de799b2b3</anchor>
      <arglist>(uint uoid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>30e053d6892fabe74b6e603b362fe4b5</anchor>
      <arglist>(const QString &amp;identityName)</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>begin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>3df227be7fe0c5ca821813f623d1e4d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ConstIterator</type>
      <name>end</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>096a1a120ab3f40446950e1fa047d617</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyBegin</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>05f0088920a3311232baca0875e9ea91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>modifyEnd</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>ec97add0357351a7780ee377a138e987</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromScratch</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>d2aefbd456c0268ad66625353322a46e</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromControlCenter</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>5d06021a92e39a3cf584b385a8fa4581</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>Identity &amp;</type>
      <name>newFromExisting</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>e8d2aa724a379c03b00ff3d0c9b2206f</anchor>
      <arglist>(const Identity &amp;other, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>allEmails</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>0dfd924333d6e9d0501530463259ac3d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRollback</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>ed496c4854e437d8941b31132668f9a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createDefaultIdentity</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>15de6bff0556bca8033cce921a0a4bc7</anchor>
      <arglist>(QString &amp;, QString &amp;)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>12b9ff9f2d370218011bdb0976cb1a07</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueList&lt; Identity &gt;</type>
      <name>mShadowIdentities</name>
      <anchorfile>classKPIM_1_1IdentityManager.html</anchorfile>
      <anchor>296a025a31e89f2c9d1bf709e974c389</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
